import axios from "axios";
import jwtDecode from "jwt-decode";

export const loginCall = async (userCredential, dispatch) => {
    
  dispatch({ type: "LOGIN_START" });
  try {
    const res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/login`, userCredential);
    console.log("login-------->",jwtDecode(res.data.accessToken));
    localStorage.setItem("accessToken",res.data.accessToken)
    let data = jwtDecode(res.data.accessToken);
    if(res.data.message){
      dispatch({ type: "LOGIN_FAILURE", payload: res.data.message });
      alert(res.data.message)
    }else{
      dispatch({ type: "LOGIN_SUCCESS", payload: data });
    }
  } catch (err) {
    dispatch({ type: "LOGIN_FAILURE", payload: err });
  }
};

export const changePasswordCall = async (userCredential, dispatch) => {
    
  dispatch({ type: "changePasswordCall_START" });
  try {
    const res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/changepassword`, userCredential);
    if(res.data.message){
      dispatch({ type: "changePasswordCall_FAILURE", payload: res.data.message });
      alert(res.data.message)
    }else{
      dispatch({ type: "changePasswordCall_SUCCESS", payload: res.data });
      alert(res.data.message)
    }
  } catch (err) {
    dispatch({ type: "changePasswordCall_FAILURE", payload: err });
  }
};