import { Comment, Delete, MoreVert, ThumbsUpDownRounded, ThumbUp } from "@material-ui/icons";
import React, { useContext, useState,useEffect } from "react";
import { AuthContext } from "../../context/AuthContext";
import { format } from "timeago.js";
import { Link, useHistory } from "react-router-dom";
import { Button } from 'react-bootstrap';
import axios from "axios";
import Comments from "./Comments";

const CompleteArticle = ({article, fetchArticle}) => {
    let { user } = useContext(AuthContext);
    let history = useHistory();
    const [anchorEl, setAnchorEl] = useState(null);
    const open = Boolean(anchorEl);
    const [comment, setComment] = useState('');
    const [comments, setComments] = useState([]);

    if (!user) {
        user = {
            userId: 123,
            username: "Guest",
            userType: "Guest"
        }
    }

    const fetchComments = async () => {
     if(article && article?.comments?.length>=0){
          var userData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
        for (var i = 0; i < article.comments.length; i++) {
            for (var j = 0; j < userData.data.length; j++) {
               if(userData.data[j]._id==article.comments[i].userId ){
                 if(article.comments[i].username == 'Anonymous'){
                    article.comments[i].profilePicture=article.comments[i].userImage;
                  break;
                 }else{
                    article.comments[i].profilePicture=userData.data[j].profilePicture;
                  break;
                 }
               }
            }
          }
          var sortedList = await article.comments.sort((p1, p2) => {
            return new Date(p2.createdAt) - new Date(p1.createdAt);
          })
          setComments(sortedList);
     }
    }

    //------- Handling Menu 
    const handleMenuClick = (event) => {
        setAnchorEl(event.currentTarget);
    };
    const handleMenuClose = () => {
        setAnchorEl(null);
    };
    
    useEffect(()=>{
         fetchComments();
        // setComments(article.comments);
        // console.log(article,"article");
    },[comments,article])

    const handleSubmit = async () => {
        var commentData = {
            username : user.username,
            userId : user._id,
            userImage : user.profilePicture,
            userJob : "",
            comment : comment,
            createdAt : new Date()
        }
        // console.log("------>>>commentData",article,commentData);        
        article.comments.push(commentData);
        setComments(article.comments);
        try {
            await axios.put(`${process.env.REACT_APP_BACKEND_URL}/api/newsandarticles/` + article._id + `/comments`, article)
            fetchArticle();
            setComments(article.comments);
            setComment('');
        }catch(err){
            console.log(err)
        }
    }
    function keyPressEnter(e){
        console.log(e.keyCode == 13 && e.shiftKey)
        if(e.keyCode == 13 && e.shiftKey)
        {}
        else if(e.key === "Enter")
        {
            handleSubmit();
        }
    }

    const commenthandler=(e)=>{
        setComment(e.target.value)
        // console.log("CommentData---->",comment);        
        // if(comment === "@"){
        //     console.log("Users------->",comments)
        // }
    }

    return (
        <>
            {article && Object.keys(article).length > 0 ?
                <div className="ca_container container_wrapper">
                    <div className="ca_title_wrapper">
                        <span className="ca_title">{article.newsTitle}</span>
                    </div>
                    <div className="ca_image_wrapper pt-4">
                        <img src={process.env.REACT_APP_BACKEND_URL + article.newsImage} className="ca_image"></img>
                    </div>                    
                    <div className="ca_time_wrapper pt-4 ml-2 d-flex">
                        <span className="ca_time">Published {format(article.createdAt)} </span>
                        <div className="col-3 row d-flex ml-1">
                            {/* <div className="col-2 ca_padding">
                                <img src={article.profilePicture ? process.env.REACT_APP_BACKEND_URL + article.profilePicture : process.env.REACT_APP_BACKEND_URL + process.env.REACT_APP_ProfileAvathar_Url} className="userPublishedDetails"/>
                            </div>
                            <div className="col-8 ca_padding">
                                <div className="col-12 row ">
                                    <span>{article.username}</span>
                                </div>
                                <div className="col-12 row ">
                                    <span>{article.userJob}</span>
                                </div>
                            </div> */}
                            {/* <span>{c.username}</span> */}
                            <a className="fz-14 color-secondary" href={article.source}>View Source</a>
                            {/* <div>
                                <Button className="" onClick={()=>{history.push(article.source)}}>
                                    <span style={{"fontSize":"0.7rem"}}>View Source</span></Button>
                            </div> */}
                        </div>
                    </div>
                    <div className="ca_description_wrapper pt-4">
                        <span className="ca_description">{article.newsDescription}</span>
                    </div>
                    <hr className="m-3"></hr>
                    <div className="d-flex m-2">
                        <input className="form-control mr-3" type="text" placeholder="Write your comment..." onKeyDown={(e) => {keyPressEnter(e)}} onChange={(e)=>commenthandler(e)} value={comment}/>
                        <Button variant="primary" onClick={handleSubmit}>
                            Submit
                        </Button>
                    </div>
                    {/* {console.log("----000---->",comments)} */}
                    {comments!==undefined && comments.length>0 && comments.map((c,idx) => {
         return (
            <Comments c={c} key={idx} index={idx} article={article} fetchArticle={fetchArticle}/>
        );
    
    })   }
                </div>
                : <></>}
        </>
    );
}

export default CompleteArticle;