import React,{useContext, useState} from "react";
import { AuthContext } from "../../context/AuthContext";
import { useHistory } from "react-router";
import { Button, Modal } from 'react-bootstrap';
import { FormGroup } from "@material-ui/core";
import { FormControlLabel } from "@material-ui/core";
import { Add } from "@material-ui/icons";
import AttachFileIcon from '@mui/icons-material/AttachFile';
import { Cancel } from "@material-ui/icons";
import axios from "axios";

const AddPost = ({fetchData}) => {
    let { user } = useContext(AuthContext);
    const [open, setOpen] = useState(false);
    const [postTitle, setPostTitle] = useState('');
    const [postDescription, setPostDescription] = useState('');
    const [file, setFile] = useState(null);
    const history = useHistory();

    if (!user) {
        user = {
            userId: 123,
            username: "Guest",
            userType: "Guest"
        }
    }

    const handleOpen = () => {
        user.username === "Guest" ? history.push('/') : setOpen(true);

        // setOpen(true)
    };
    const handleClose = () => {
        setOpen(false);
    };

    const handleSubmit = async () => {
        var post = {
            username : user.username,
            userId : user._id,
            userImage : user.profilePicture,
            userJob : "",
            description : postDescription
        }
        const data = new FormData();
        if (file) {            
            const fileName = Date.now() + file.name;
            data.append("name", fileName);
            data.append("file", file);
            data.append("postData", JSON.stringify(post));
            console.log("-------->", data);                   
          }
          else {
            post.postImage = null;
              data.append("postData", JSON.stringify(post));              
          }
          try {
            var res = await axios.post( `${process.env.REACT_APP_BACKEND_URL}/api/feed/`, data);
            fetchData();
            console.log("responsefile------->",data)
          } catch (err) {}
          console.log("--234------>", post);
        handleClose();
        setFile(null);
    }
    return (
        <div className="col-12 d-flex align-items-center justify-content-evenly">
        <div className="button-colors">
            {/* <Add onClick={handleOpen} className="cursor" size="xl" color="aquamarine"/> */}
                {/* <input className="form-control " type="text" placeholder="Add your Article..." onClick={handleOpen} /> */}
                <Modal
                    show={open}
                    onHide={handleClose}
                    size="md"
                    aria-labelledby="contained-modal-title-vcenter"
                    centered
                >
                    <Modal.Header >
                        <Modal.Title>Add your content.</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>
                        <span>Description : </span>
                        <textarea
                            className="form-control"
                            id="new_description"
                            rows="3"
                            placeholder="Enter Your Description here."
                            onChange={(e) => { setPostDescription(e.target.value) }}>
                        </textarea>
                        <span>Attachment Image :  </span>
                        <label htmlFor="file" className="article_attachement">                        
                        <AttachFileIcon />
                        <input
                            style={{ display: "none" }}
                            type="file"
                            id="file"
                            accept="image/*,video/*"
                            multiple
                            onChange={(e) => setFile(e.target.files[0])}
                        />
                        </label>
                        {file !== null && file!==undefined && (
                            <div className="">
                                {/* {file.name.match(/\.(jpg|jpeg|png|gif)$/) ? */}
                                <img className="article_image" src={URL.createObjectURL(file)} alt="" />
                                {/* <ReactVideo src={URL.createObjectURL(file)}/>} */}
                                <Cancel className="shareCancelImg" onClick={() => setFile(null)} />
                            </div>
                        )}                    
                        {/* <FormGroup>
                            <FormControlLabel control={<Switch onChange={anonymousHandle}/>} label="Anonymous" />
                        </FormGroup>                                                */}
                    </Modal.Body>
                    <Modal.Footer>                        
                        <Button variant="secondary" onClick={handleClose}>
                            Close
                        </Button>
                        <Button variant="primary" onClick={handleSubmit}>
                            Submit
                        </Button>
                    </Modal.Footer>
                </Modal>
            </div>
            <span className="col-11 pl-4 py-1 textgreyarea rounded-pill"  onClick={handleOpen}>Add your content</span>
            </div>
    );
}

export default AddPost;