import React,{useContext} from "react";
import { AuthContext } from "../../context/AuthContext";
import {  useHistory } from "react-router-dom";
import { Bookmark } from "@material-ui/icons";
import { Button } from "react-bootstrap";

const ProfileInfo = () => {
    let { user } = useContext(AuthContext);
    const history = useHistory();
    var colorIndex = 0;
    var colorVariants = {
        textColor : ["#22b8c2","#04a0f1","#6a4ac2","#ff9932","#0069ff","#f04a4a"],
        background : ["#d5f1f3","#dbf3ff","#e8dfff","#fbe1c7","#a0c6ff","#ffe3e3"]
    }

    if (!user) {
        user = {
            userId: 123,
            username: "Guest",
            userType: "Guest"
        }
    }

    function ViewProfileModule(){
        history.push('/myprofile/' + user._id);
    }

    function myItems () {
        return user.saved.questions.length + user.saved.posts.length + user.saved.news.length + user.saved.articles.length;
    }

    return (
        <div className="container_wrapper" style={{"padding" : "20px"}}>
            <div className="p-2 mb-3" style={{"borderBottom" : " 1px solid rgba(0, 0, 0, 0.07)" }}>
                <div className="row" style={{"margin" : "0.4px"}}>
                    <div style={{"display" : "grid", "justifyContent" : "space-around", "marginBottom" : "20px"}}>
                        <div style={{"display":"flex","justifyContent":"center"}}>
                            <img
                                className="profileInfoImg cursor mt-2"
                                src={user.profilePicture ? process.env.REACT_APP_BACKEND_URL + user.profilePicture : process.env.REACT_APP_BACKEND_URL + process.env.REACT_APP_ProfileAvathar_Url}
                                alt=""
                                onClick={ViewProfileModule}
                            />
                        </div>
                        <span className="information cursor userNameStyle like_count" onClick={ViewProfileModule}>{user.username}</span>
                        <span className="information mb-2 like_text">{user.designation}</span>
                    </div>
                </div>
                <div className="row no-gutters" style={{"display" : "flex" }}>
                    <div className="col-md-4 cursor  " >
                        <span className="followProfile like_count col-12">{user.followers.length}</span> 
                        <span className="col-12 like_text followProfile">Followers</span>
                    </div>
                    <div className="col-md-4 cursor " >
                        <span className="followProfile like_count col-12"> {user.followings.length}</span>
                        <span className="col-12 followProfile like_text">Followings</span>
                    </div>                
                    <div className="col-md-4 " style={{"display" : "grid", "justifyContent" : "center", "alignItems" : "center"}}>
                        <div className="">
                            <Button className="primary rounded-pill">
                                <span style={{"fontSize" : "0.7rem"}}>View</span>
                            </Button>
                        </div>                    
                    </div>
                </div>                
            </div>
            <div className="mb-3 pb-3" style={{"borderBottom" : " 1px solid rgba(0, 0, 0, 0.07)" }}>
                <>
                {/* <div className="popular_heading">
                    <p style={{"color" : "rgb(103, 135, 196)"}}>Basic Information</p>
                </div> */}
                <span className="fontHeader mt-2" style={{"color" : "#7789ac"}}> Basic Information</span>
                <div className="profileBasic">
                    <div className="row no-gutters" style={{"alignItems" : "center", "display" : "flex", "justifyContent" : "space-around"}}>
                        <div className="col-md-3" style={{"display" : "grid","justifyContent" : "center", "alignItems" : "center"}}>
                            <div className="">
                                <svg version="1.1" width="30px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXnk="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                <path fill="#DBFCF9" d="M96.1,2.5H23.9C12,2.5,2.3,11.8,2.3,23.4v73.2c0,11.6,9.7,20.9,21.6,20.9h72.1c11.9,0,21.6-9.4,21.6-20.9
                                    V23.4C117.7,11.8,108,2.5,96.1,2.5z"/>
                                <g>
                                    <path fill="#07BEB8" d="M87.6,65.4l-5.2-8c-0.3-0.5-0.4-1-0.5-1.6C81,46,73.3,38.2,63.5,37.2c0.2,2.1-0.6,4.1-2.2,5.5l-3.5,2.9
                                        l1.1,4.4c0.5,1.9,0,3.9-1.2,5.5c-1.2,1.5-3.1,2.4-5,2.5c-1.2,0-2.3-0.3-3.3-0.9l-3.9-2.4l-3.8,2.4c-0.2,0.1-0.3,0.2-0.5,0.3v0.3
                                        c0.1,6.8,3.1,13.2,8.2,17.6c0.6,0.5,1,1.3,1,2V89c0,0.9,0.7,1.7,1.6,1.8l17.7,1.5c1,0.1,1.9-0.6,2-1.6c0,0,0-0.1,0-0.1v-8.3
                                        c0-0.5,0.4-0.9,1-1h6.1c1.9,0,3.4-1.5,3.4-3.4v-8.3c0-0.4,0.3-0.7,0.7-0.7h3c1.2,0,2.2-1,2.3-2.2C88,66.2,87.9,65.8,87.6,65.4z"/>
                                    <path fill="#07BEB8" d="M46.6,50.1l5.2,3.1c0.9,0.6,2.1,0.3,2.6-0.6c0.3-0.4,0.3-0.9,0.2-1.4l-1.4-5.9c-0.1-0.7,0.1-1.4,0.6-1.9
                                        l4.6-4c0.8-0.7,0.9-1.9,0.2-2.7c-0.3-0.4-0.8-0.6-1.3-0.7l-6.1-0.5c-0.7-0.1-1.3-0.5-1.6-1.2l-2.3-5.6c-0.4-1-1.5-1.4-2.5-1
                                        c-0.5,0.2-0.8,0.6-1,1l-2.3,5.6c-0.3,0.7-0.9,1.1-1.6,1.2l-6.1,0.5c-1,0-1.8,0.9-1.8,1.9c0,0.5,0.3,1,0.7,1.3l4.6,4
                                        c0.5,0.5,0.8,1.2,0.6,1.9l-1.4,5.9c-0.2,1,0.4,2,1.4,2.3c0.5,0.1,1,0,1.4-0.2l5.2-3.1C45.2,49.7,45.9,49.7,46.6,50.1z"/>
                                </g>
                                </svg>
                            </div>
                            
                        </div>
                        <div className="col-md-9">
                            <div className="row">
                                <div className="col-md-12">
                                    <span className="like_text">Experience</span>
                                </div>
                            </div>
                            <div className="row">
                                <div className="col-md-12">
                                    {
                                    user.yearsOfExperience === 1 ? 
                                        <span>{user.yearsOfExperience + " "} Year</span> : 
                                        <span className="like_count">2 Years</span> 
                                    }
                                </div>
                            </div>
                        </div>
                    </div>                        
                    <br></br>
                    <div className="row no-gutters" style={{"alignItems" : "center", "display" : "flex", "justifyContent" : "space-around"}}>
                            
                        <div className="col-md-3" style={{"display" : "grid","justifyContent" : "center", "alignItems" : "center"}}>
                            <div className="">
                                <svg version="1.1" width="30px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                <path fill="#DBFCF9" d="M96.1,2.5H23.9C12,2.5,2.3,11.8,2.3,23.4v73.2c0,11.6,9.7,20.9,21.6,20.9h72.1c11.9,0,21.6-9.4,21.6-20.9
                                    V23.4C117.7,11.8,108,2.5,96.1,2.5z"/>
                                <path id="Icon_material-location-on" fill="#07BEB8" d="M60,29c-12,0-21.7,9.7-21.7,21.7c0,0,0,0,0,0C38.3,67,60,91,60,91
                                    s21.7-24,21.7-40.4C81.7,38.7,72,29,60,29C60,29,60,29,60,29z M60,58.4c-4.3,0-7.8-3.5-7.8-7.8c0-4.3,3.5-7.8,7.8-7.8
                                    s7.8,3.5,7.8,7.8C67.8,55,64.3,58.4,60,58.4z"/>
                                </svg>
                            </div>
                       
                        </div>
                        <div className="col-md-9">
                            <div className="row">
                                <div className="col-md-12">
                                    <span className="like_text">Location</span>
                                </div>
                            </div>
                            <div className="row">
                                <div className="col-md-12">
                                    {user.city? <span className="like_count">{user.city}</span> : <span className="like_count" >Bangalore, Karnataka</span>}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </>
            </div>
            <div className="item_card p-2 mb-3 cursor" >
                <div className="row no-gutters" style={{"justifyContent": "space-around", "alignItems" : "center"}}>
                    <div className="col-9" style={{"display" : "flex", "alignItems" : "center"}}>
                        <div className="col-3">
                            <div className="">
                                <svg version="1.1" width="30px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                <path fill="#FEB770" d="M101.5,2.5H18.5c-8.7,0-15.7,7-15.7,15.7v83.7c0,8.7,7,15.7,15.7,15.7h83.1c8.7,0,15.7-7,15.7-15.7V18.2
                                    C117.2,9.5,110.2,2.5,101.5,2.5z"/>
                                <path id="Path_614" fill="#FFFFFF" d="M78.4,35.3H41.5c-3.9,0-7.1,3.1-7.1,7.1v25.2c0,3.9,3.2,7.1,7.1,7.1c0,0,0,0,0,0H53l4.2,8.4
                                    c0.8,1.5,2.7,2.1,4.2,1.3c0.6-0.3,1.1-0.8,1.4-1.4l4.2-8.4h11.5c3.9,0,7.1-3.2,7.1-7.1c0,0,0,0,0,0V42.3
                                    C85.5,38.4,82.3,35.3,78.4,35.3z M49.9,66.5c-1.3,0-2.3-1-2.3-2.3c0-1.3,1-2.3,2.3-2.3c1.3,0,2.3,1,2.3,2.3
                                    C52.2,65.5,51.1,66.5,49.9,66.5z M55.6,53.9c-0.7,1-1.6,1.8-2.6,2.4c-0.8,0.4-1.3,1.3-1.3,2.2c-0.1,0.5-0.5,0.9-1,0.9H49
                                    c-0.3,0-0.6-0.1-0.8-0.3c-0.2-0.2-0.3-0.5-0.3-0.8c0-2.1,1.1-4,2.9-5.1c0.7-0.4,1.2-1,1.7-1.6c0.6-0.8,0.6-2,0.2-2.9
                                    c-0.6-1.2-1.9-1.8-3.2-1.7c-1.8-0.2-3.5,1.1-3.7,3c-0.1,0.5-0.5,0.8-1,0.8h-1.8c-0.3,0-0.6-0.1-0.8-0.3c-0.2-0.2-0.3-0.5-0.2-0.8
                                    c0.4-3.8,3.6-6.6,7.4-6.4c2.7-0.1,5.3,1.4,6.5,3.8C57.3,49.3,57.1,51.9,55.6,53.9L55.6,53.9z M75.1,66.1H63.8c-1,0-1.8-0.8-1.8-1.8
                                    c0-1,0.8-1.8,1.8-1.8h11.4c1,0,1.8,0.8,1.8,1.8c0,0,0,0,0,0C77,65.3,76.1,66.1,75.1,66.1L75.1,66.1z M75.1,56.8H63.8
                                    c-1,0-1.8-0.8-1.8-1.8c0-1,0.8-1.8,1.8-1.8h11.4c1,0,1.8,0.8,1.8,1.8c0,0,0,0,0,0C77,55.9,76.1,56.8,75.1,56.8L75.1,56.8z
                                    M75.1,47.4H63.8c-1,0-1.8-0.8-1.8-1.8s0.8-1.8,1.8-1.8h11.4c1,0,1.8,0.8,1.8,1.8c0,0,0,0,0,0C77,46.6,76.1,47.5,75.1,47.4
                                    L75.1,47.4z"/>
                                </svg>
                            </div>                            
                        </div>
                        <div className="col-9">
                            <span className="like_text">My Queries</span>
                            <span className="like_count" style={{"display" : "block"}}>11 Queries</span>                            
                        </div>
                    </div>
                    <div className="col-2">                               
                        <div className="rightArrow">
                            <svg version="1.1" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                <g id="Group_2232" transform="translate(-298.325 -210.325)">
                                    <g id="Ellipse_284" transform="translate(298.325 210.325)">
                                        <circle fill="#FFFFFF" cx="60" cy="60" r="56.4"/>
                                        <path fill="#DBDBDB" d="M60,116.4C28.9,116.4,3.6,91.1,3.6,60C3.6,28.9,28.9,3.6,60,3.6c31.1,0,56.4,25.3,56.4,56.4
                                            C116.4,91.1,91.1,116.4,60,116.4z M60,12.1c-26.4,0-47.9,21.5-47.9,47.9c0,26.4,21.5,47.9,47.9,47.9c26.4,0,47.9-21.5,47.9-47.9
                                            C107.9,33.6,86.4,12.1,60,12.1z"/>
                                    </g>
                                    <path fill="#DBDBDB" d="M347.2,297.4c-1.2,0-2.5-0.5-3.4-1.4c-1.9-1.9-1.9-4.9,0-6.8l18.9-18.9l-18.9-18.9c-1.9-1.9-1.9-4.9,0-6.8
                                        c1.9-1.9,4.9-1.9,6.8,0l22.2,22.2c1.9,1.9,1.9,4.9,0,6.8L350.6,296C349.7,296.9,348.4,297.4,347.2,297.4z"/>
                                </g>
                            </svg>
                        </div> 
                    </div>
                </div>
            </div>
            <div>
                {/* <div className="popular_heading  mt-3">
                    <p style={{"color" : "rgb(103, 135, 196)"}}>Area of Sepcialization</p>
                </div> */}
                <span className="fontHeader mt-2" style={{"color" : "#7789ac","paddingLeft" : "5px"}}> Area of Specialization</span>
                    <div className=" mt-2" style={{"display":"flex","flexWrap":"wrap"}}>
                        {user.interests.length === 0 ? <></> : user.interests.map((interest, index) => {
                            if(index < colorVariants.textColor.length){
                                colorIndex = index;
                            }
                            else{
                                // colorIndex--;
                                colorIndex < 0 ? colorIndex++ : colorIndex--;
                            }
                            return (
                                <>
                                <a key={index} className="cursor px-2  m-1 rounded-pill" style={{"border" : "1px solid"+ colorVariants.textColor[colorIndex], "background" : colorVariants.background[colorIndex]}}>
                                    <span style={{"color" : colorVariants.textColor[colorIndex], "fontSize" : "0.8rem"}}>{interest}</span>
                                </a>
                                </>
                            );
                        })}
                    </div>
            </div>            
        </div>
    );
}

export default ProfileInfo;