import React,{useState, useContext, useEffect} from "react";
import { Link, useHistory } from "react-router-dom";
import { format } from "timeago.js";
import MenuItem from '@material-ui/core/MenuItem';
import IconButton from "@material-ui/core/IconButton";
import { Button, Modal } from "react-bootstrap";
import { MoreHoriz, Delete, Share, Cancel , Edit, ThumbUpRounded, Comment, ThumbUp, ThumbUpOutlined } from "@material-ui/icons";
import axios from "axios";
import { AuthContext } from "../../context/AuthContext";
import Menu from "@material-ui/core/Menu";
import AttachFileIcon from '@mui/icons-material/AttachFile';
import Comments from "./Comments";

const SinglePost = ({post, fetchData}) => {
    const history = useHistory();
    let { user } = useContext(AuthContext);
    const [showModal, setShowModal] = useState(false);
    const [showEditModal, setShowEditModal] = useState(false);
    const [anchorEl, setAnchorEl] = useState(null);
    const [editvalue, setEditvalue] = useState(null);
    const [file, setFile] = useState(null);
    const [flag, setFlag] = useState(false);
    const [commentFlag, setCommentFlag] = useState(false);
    const [comment, setComment] = useState('');
    const [comments, setComments] = useState([]);
    const [userData, setUserData] = useState({});
    const [isReadMore, setIsReadMore] = useState(true);
    const open = Boolean(anchorEl);

    if (!user) {
        user = {
            userId: 123,
            username: "Guest",
            userType: "Guest"
        }
    }

    const handleMenuClick = (event) => {
        setAnchorEl(event.currentTarget);
    };
    const handleMenuClose = () => {
        setAnchorEl(null);
    };
    //--------- Like Icon Handler 
    const likeIcon = () => {
        const postLikeLength = post.likes.length;                
        for (var k = 0; k < postLikeLength; k++) {
            if (post.likes[k].userId == user._id) {
                break;
            }
        }
        if (k == postLikeLength) {
            return(
                <svg version="1.1" onClick = {likeHandler} width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                    <circle id="Ellipse_404" fill="#D1D8E3" cx="60" cy="60" r="56"/>
                    <g id="noun_like_986837" transform="translate(-11 -9.973)">
                        <g id="Group_1304" transform="translate(17.383 15.29)">
                            <path id="Path_195" fill="#FFFFFF" d="M81.8,45.8c-1.9-4.2-9.9-2.9-13.3-3s-3.7-1.4-2.7-3.2c2-3.3,3.7-6.8,5.1-10.4
                                c0.8-3.8-1.1-7.6-4.6-9.1c-3.2-0.6-3.5,4.5-3.5,4.5c-0.8,6.1-6.9,11.2-8.6,13c-1.6,2.5-3,5.2-4.2,8c-1.1,1.7-2.4,3.3-3.8,4.7h-2.8
                                v23.8c1.3,1.3,2.7,2.4,4.3,3.4h28c4.8-0.8,3.4-6.9,3.4-6.9c2.1-2,2.5-5.3,1-7.7c5.1-5,1.1-9,1.1-9C83.1,51.5,83.4,48.2,81.8,45.8z
                                "/>
                            <path id="Path_196" fill="#FFFFFF" d="M39,47.1h-14c-1.1,0-1.9,0.9-1.9,1.9v27.1c0,1.1,0.9,1.9,1.9,1.9h14c1.1,0,1.9-0.9,1.9-1.9
                                l0,0V49C41,47.9,40.1,47.1,39,47.1L39,47.1z M31.5,74.3c-1.4,0-2.6-1.2-2.6-2.6s1.2-2.6,2.6-2.6c1.4,0,2.6,1.2,2.6,2.6
                                S33,74.3,31.5,74.3L31.5,74.3z"/>
                        </g>
                    </g>
                </svg>
            );
        } else {
            return (
                <svg version="1.1" onClick = {likeHandler} width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                    <g>
                        <circle id="Ellipse_404" fill="#4099FF" cx="60" cy="60" r="56"/>
                        <g id="noun_like_986837" transform="translate(-11 -9.973)">
                            <g id="Group_1304" transform="translate(17.383 15.29)">
                                <path id="Path_195" fill="#FFFFFF" d="M81.8,45.8c-1.9-4.2-9.9-2.9-13.3-3s-3.7-1.4-2.7-3.2c2-3.3,3.7-6.8,5.1-10.4
                                    c0.8-3.8-1.1-7.6-4.6-9.1c-3.2-0.6-3.5,4.5-3.5,4.5c-0.8,6.1-6.9,11.2-8.6,13c-1.6,2.5-3,5.2-4.2,8c-1.1,1.7-2.4,3.3-3.8,4.7
                                    h-2.8v23.8c1.3,1.3,2.7,2.4,4.3,3.4h28c4.8-0.8,3.4-6.9,3.4-6.9c2.1-2,2.5-5.3,1-7.7c5.1-5,1.1-9,1.1-9
                                    C83.1,51.5,83.4,48.2,81.8,45.8z"/>
                                <path id="Path_196" fill="#FFFFFF" d="M39,47.1h-14c-1.1,0-1.9,0.9-1.9,1.9v27.1c0,1.1,0.9,1.9,1.9,1.9h14c1.1,0,1.9-0.9,1.9-1.9
                                    l0,0V49C41,47.9,40.1,47.1,39,47.1L39,47.1z M31.5,74.3c-1.4,0-2.6-1.2-2.6-2.6s1.2-2.6,2.6-2.6c1.4,0,2.6,1.2,2.6,2.6
                                    S33,74.3,31.5,74.3L31.5,74.3z"/>
                            </g>
                        </g>
                    </g>
                </svg>
            );
        }
    }
    //--------- Handling Reply Modal
    const handleModalOpen = () => {
        setShowModal(true)
    };
    const handleModalClose = () => {
        setShowModal(false);
    };

    //--------- Handling Edit Modal
    const handleEditModalOpen = () => {
        if(post.postImage){
            setFile(post.postImage);
        }
        else {
            setFile(null);
        }
        setShowEditModal(true)
    };
    const handleEditModalClose = () => {
        setEditvalue(null);
        setShowEditModal(false);
    };

    //--------- Deleting Post
    const deletePost = async () => {
        try {
            var res = await axios.delete(`${process.env.REACT_APP_BACKEND_URL}/api/feed/` + post._id);
            // console.log("--------->", res)
        } catch (err) {
            console.log("Error--->", err)
        }
        fetchData();
    }

    //----------Updating Post
    const updatePost = async () =>
    {   
        if(editvalue !== null) {
                    post.description = editvalue;
                }        
        const data = new FormData();
        if (file) {            
            const fileName = Date.now() + file.name;
            data.append("name", fileName);
            data.append("file", file);
            data.append("postData", JSON.stringify(post));                  
          }
          else {
            post.postImage = null;
              data.append("postData", JSON.stringify(post));              
          }
          try {
            var res = await axios.put( `${process.env.REACT_APP_BACKEND_URL}/api/feed/`+ post._id + '/updatePost', data);
            fetchData();
          } catch (err) {}          
          handleEditModalClose();
        setFile(null);
        fetchData();
    }
    
    //--------- Likes Handler
    const likeHandler = async () => {
        var likes = {
            userId : user._id,
            username : user.username,
            userImage : user.profilePicture 
        };     
        try {
            await axios.put(`${process.env.REACT_APP_BACKEND_URL}/api/feed/`+ post._id + `/likes`, likes);
            fetchData();
        } catch (err) {
            console.log(err, "Error in updating likes")
        }
    }

    function keyPressEnter(e){
        console.log(e.keyCode == 13 && e.shiftKey)
        if(e.keyCode == 13 && e.shiftKey)
        {}
        else if(e.key === "Enter")
        {
            commentHandler();
        }
    }
    
    const commentHandler = async () => {
        var commentData = {
            username : user.username,
            userId : user._id,
            userImage : user.profilePicture,
            userJob : "",
            comment : comment,
            createdAt : new Date()
        }
        // console.log("------>>>commentData",article,commentData);        
        post.comments.push(commentData);
        setComments(post.comments);
        try {
            await axios.put(`${process.env.REACT_APP_BACKEND_URL}/api/feed/` + post._id + `/comments`, post)
            fetchData();
            setComments(post.comments);
            setComment('');
        }catch(err){
            console.log(err)
        }
    }

    const fetchComments = async () => {
        if(post && post?.comments?.length>=0){
             var allUserData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
           for (var i = 0; i < post.comments.length; i++) {
               for (var j = 0; j < allUserData.data.length; j++) {
                  if(allUserData.data[j]._id==post.comments[i].userId ){
                    if(post.comments[i].username == 'Anonymous'){
                       post.comments[i].profilePicture=post.comments[i].userImage;
                     break;
                    }else{
                       post.comments[i].profilePicture=allUserData.data[j].profilePicture;
                     break;
                    }
                  }
               }
             }
             var sortedList = await post.comments.sort((p1, p2) => {
               return new Date(p2.createdAt) - new Date(p1.createdAt);
             })
             setComments(sortedList);
        }
    }

    const getUserData = async () => {
        var resultUser = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/` + user._id + '/oneUser');
        setUserData(resultUser.data);
    }

    useEffect(()=>{
        fetchComments();
        getUserData();
       // setComments(article.comments);
       // console.log(article,"article");
    },[comments,post]);

    const saveIcon = () => {
        
        if(Object.keys(userData).length > 0){
        const savedLength = userData.saved.posts.length;                        
        for (var l = 0; l < savedLength; l++) {
            if (userData.saved.posts[l] === post._id) {
                break;
            }
        }
        if (l == savedLength) {
            return(
                <>
                <svg version="1.1" className="cursor" width="20px" onClick={saveHandler} id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enableBackground="new 0 0 120 120" xmlSpace="preserve">
                <path id="Icon_awesome-bookmark" fill="none" stroke="#535252" stroke-width="10.1678" stroke-miterlimit="10" d="M23.5,108.6V20.5
                    c0-5,4.1-9.1,9.1-9.1h54.7c5,0,9.1,4.1,9.1,9.1v88.1L60,87.3L23.5,108.6z"/>
                </svg> <span className="ml-1">Save</span>
                </>
                
            );
        } else {
            return (
                <>
                <svg version="1.1" className="cursor" onClick={saveHandler} id="Layer_1" width="20px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enableBackground="new 0 0 120 120" xmlSpace="preserve">
                <path id="Icon_awesome-bookmark" stroke="black" strokeWidth="3" fill="#000000"  d="M17,117.4v-104c0-5.9,4.8-10.8,10.8-10.8h64.5c5.9,0,10.8,4.8,10.8,10.8v104
                    L60,92.3L17,117.4z"/>
                </svg><span className="ml-1">Saved</span>
                </>
            );
        }
        }
    }

    const saveHandler = async () => { 
        saveIcon();
        var savedData = {
            type : "posts",
            id : post._id
        }
        const savedLength = userData.saved.posts.length;                
        for (var m = 0; m < savedLength; m++) {
            if (userData.saved.posts[m] == post._id) {
                break;
            }
        }        
        if(m === savedLength){
            userData.saved.posts.push(post._id);
            // history.location.pathname !== '/community' ? fetchQuestion() : fetchData();
            getUserData();
        }
        else {            
            userData.saved.posts.splice(1,m);
            console.log("Kit Harrington knows nothing", userData.saved);
            // history.location.pathname !== '/community' ? fetchQuestion() : fetchData();
            getUserData();
        }
        try {
           var result = await axios.put(`${process.env.REACT_APP_BACKEND_URL}/api/users/` + user._id + `/putSavedData`, savedData);
            // history.location.pathname !== '/community' && history.location.pathname !== '/home' ? fetchQuestion() : fetchData();
            fetchData();
            getUserData();
        }catch (err) {
            console.log("Error in saving Question")
        }
    }
    const descriptionValue = () => {        
        if(Object.keys(post).length > 0){
            console.log("PD---->",post.description);
            if(post.description){
                console.log("PDE-->>",post.description.length)
                return(
                    post.decription.length >= 150 ? 
                        <div>{isReadMore ? post.decription.slice(0, 150) : post.decription}
                            <span  onClick={()=>setIsReadMore(!isReadMore)} className="read-or-hide questionText">
                                {isReadMore ? "...read more" : " show less"}
                            </span>
                        </div> : 
                        <span className="questionText">{post.decription}</span>
                );
            }        
        }        
    }

    return (
        <>
            {Object.keys(post).length > 0 ?
        <div className="" style={{"borderRadius" : "10px"}}>
            <div className="row">
                <div className=" col-10 d-flex no-gutters">
                    <div className="col-2" style={{"display": "contents"}}>
                        
                        <img
                            className="questionProfileImg"
                            src={ process.env.REACT_APP_FRONTEND_URL + "/images/logo/br_dp.jpg"}
                            alt=""
                        />
                    </div>                    
                    <div className="col-10 question_user ml-2">
                        <div style={{"display": "flex"}}>
                            <span className="questionUsername">Board Room Admin</span>                                
                            {/* <span className="questionDate">{format(post.createdAt)}</span> */}
                        </div>                                    
                        <span style={{"fontSize":"0.7rem","color":"#8791A4;"}}>{format(post.createdAt)}</span>
                        {/* <div className="questionDate ml-0">{time}</div> */}
                    </div>
                </div>                               
                <div className=" cursor col-2" >                                       
                    <IconButton
                        onClick={handleMenuClick}
                        size="small"
                        sx={{ ml: 2 }}
                        aria-controls={open ? 'account-menu' : undefined}
                        aria-haspopup="true"
                        aria-expanded={open ? 'true' : undefined}
                        className="postActions"
                    >
                        <svg version="1.1" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                            viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                        <g id="Group_2017" transform="translate(-1291 -358)">
                            <g id="Ellipse_289" transform="translate(1291 358)">
                                <circle fill="none" cx="60" cy="60" r="56"/>
                                <circle fill="none" stroke="#BDC9DE" stroke-width="3.7333" cx="60" cy="60" r="54.1"/>
                            </g>
                            <g id="Group_2016" transform="translate(1504.627 -2256.78) rotate(90)">
                                <g id="Ellipse_286" transform="translate(2627.646 188.627)">
                                    <circle fill="none" stroke="#CCD5E5" stroke-width="3.7333" cx="47.8" cy="-63.7" r="6.8"/>
                                </g>
                                <g id="Ellipse_287" transform="translate(2627.646 196.351)">
                                    <circle fill="none" stroke="#CCD5E5" stroke-width="3.7333" cx="47.8" cy="-42.6" r="6.8"/>
                                </g>
                                <g id="Ellipse_288" transform="translate(2627.646 204.075)">
                                    <circle fill="none" stroke="#CCD5E5" stroke-width="3.7333" cx="47.8" cy="-21.5" r="6.8"/>
                                </g>
                            </g>
                        </g>
                        </svg>
                    </IconButton>
                    <Menu
                        anchorEl={anchorEl}
                        getContentAnchorEl={null}
                        id="account-menu"
                        open={open}
                        onClose={handleMenuClose}
                        onClick={handleMenuClose}
                        PaperProps={{
                            elevation: 0,
                            sx: {
                                overflow: 'visible',
                                filter: 'drop-shadow(0px 2px 8px rgba(0,0,0,0.32))',
                                mt: 1.5,
                                '& .MuiAvatar-root': {
                                    width: 32,
                                    height: 32,
                                    ml: -0.5,
                                    mr: 1,
                                },
                                '&:before': {
                                    content: '""',
                                    display: 'block',
                                    position: 'absolute',
                                    top: 0,
                                    right: 14,
                                    width: 10,
                                    height: 10,
                                    bgcolor: 'background.paper',
                                    transform: 'translateY(-50%) rotate(45deg)',
                                    zIndex: 0,
                                },
                            },
                        }}
                        transformOrigin={{ horizontal: 'right', vertical: 'top' }}
                        anchorOrigin={{ horizontal: 'right', vertical: 'bottom' }}
                    >
                        {(post.userId === user._id) && (user.userType !== "Guest") ?
                            <MenuItem onClick={handleEditModalOpen}>
                                <svg version="1.1" id="Layer_1" width="25px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enableBackground="new 0 0 120 120" xmlSpace="preserve">
                                    <path id="Icon_material-edit" fill="#07BEB8" d="M5.1,92.7V116H28l67.4-68.8L72.5,23.8L5.1,92.7z M113.1,29.1c2.4-2.4,2.4-6.3,0-8.8
                                        L98.8,5.8c-2.3-2.4-6.1-2.4-8.5-0.1c0,0-0.1,0.1-0.1,0.1L79.1,17.2L102,40.5L113.1,29.1L113.1,29.1z"/>
                                </svg><span className="menuOptions">Edit</span>
                            </MenuItem> :
                            <></>
                        }
                        {(post.userId === user._id) && (user.userType !== "Guest") ?
                            <MenuItem onClick={deletePost}>
                                <svg version="1.1" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                <g>
                                    <path fill="#6A7791" d="M65.4,41.6h8.1V86h-8.1V41.6z"/>
                                    <path fill="#6A7791" d="M46.5,41.6h8.1V86h-8.1V41.6z"/>
                                    <path fill="#6A7791" d="M69.1,3.7H50.9c-2.9,0-5.6,1.1-7.6,3.2c-2,2-3.2,4.8-3.2,7.6v6.6h-26c-1.4,0-2.8,0.8-3.5,2
                                        c-0.7,1.2-0.7,2.8,0,4c0.7,1.2,2.1,2,3.5,2h7.2l3.9,70.5h0c0.2,4.5,2.2,8.7,5.5,11.7c3.3,3.1,7.6,4.8,12,4.8h34.6
                                        c4.5,0,8.8-1.7,12-4.8c3.3-3.1,5.2-7.3,5.5-11.7l3.9-70.5h7.2h0c1.4,0,2.8-0.8,3.5-2c0.7-1.2,0.7-2.8,0-4c-0.7-1.2-2.1-2-3.5-2
                                        H79.8v-6.6c0-2.9-1.1-5.6-3.2-7.6C74.7,4.9,71.9,3.7,69.1,3.7L69.1,3.7z M48.2,14.5L48.2,14.5c0-1.5,1.2-2.7,2.7-2.7h18.2
                                        c0.7,0,1.4,0.3,1.9,0.8c0.5,0.5,0.8,1.2,0.8,1.9v6.6H48.2L48.2,14.5z M90.6,29.2l-3.9,70.1c-0.1,2.4-1.2,4.7-2.9,6.3
                                        c-1.8,1.7-4.1,2.6-6.5,2.6H42.6c-2.4,0-4.7-0.9-6.5-2.6c-1.8-1.7-2.8-3.9-2.9-6.3l-3.9-70.1H90.6z"/>
                                </g>
                                </svg><span className="menuOptions">Delete</span>
                            </MenuItem> :
                            <div></div>
                        }
                        {/* <MenuItem>
                            <svg  version="1.1" id="Layer_1" width="20px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                            viewBox="0 0 120 120" enableBackground="new 0 0 120 120" xmlSpace="preserve">
                        <path id="Icon_awesome-bookmark" stroke="black" strokeWidth="3" fill="#000000"  d="M17,117.4v-104c0-5.9,4.8-10.8,10.8-10.8h64.5c5.9,0,10.8,4.8,10.8,10.8v104
                            L60,92.3L17,117.4z"/>
                        </svg> Save
                        
                        </MenuItem> */}
                        <MenuItem>
                            <a  href={`https://api.whatsapp.com/send?phone=&text=${process.env.REACT_APP_FRONTEND_URL}` + history.location.pathname + '/' + post._id}>
                                <svg version="1.1"  width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                    <g id="Icon_feather-share-2" transform="translate(-3.75 -2.25)">
                                        <path id="Path_121" fill="none" stroke="#7789AC" stroke-width="7.8" stroke-linecap="round" stroke-linejoin="round" d="
                                            M110.6,25.9c0,8.6-7,15.6-15.6,15.6s-15.6-7-15.6-15.6s7-15.6,15.6-15.6S110.6,17.2,110.6,25.9z"/>
                                        <path id="Path_122" fill="none" stroke="#7789AC" stroke-width="7.8" stroke-linecap="round" stroke-linejoin="round" d="
                                            M48.2,62.2c0,8.6-7,15.6-15.6,15.6S17,70.9,17,62.2s7-15.6,15.6-15.6S48.2,53.6,48.2,62.2z"/>
                                        <path id="Path_123" fill="none" stroke="#7789AC" stroke-width="7.8" stroke-linecap="round" stroke-linejoin="round" d="
                                            M110.6,98.7c0,8.6-7,15.6-15.6,15.6s-15.6-7-15.6-15.6s7-15.6,15.6-15.6S110.6,90,110.6,98.7z"/>
                                        <path id="Path_124" fill="none" stroke="#7789AC" stroke-width="7.8" stroke-linecap="round" stroke-linejoin="round" d="M46,70.1
                                            l35.5,20.7"/>
                                        <path id="Path_125" fill="none" stroke="#7789AC" stroke-width="7.8" stroke-linecap="round" stroke-linejoin="round" d="
                                            M81.5,33.7L46,54.4"/>
                                    </g>
                                </svg><span className="menuOptions">Share</span>
                            </a>                            
                        </MenuItem>
                    </Menu>
                </div>
            </div>
            <div className="col-12 px-0">
                {/* {post.decription ? 
                        <div>{isReadMore ? post.decription.slice(0, 150) : post.decription}
                            <span  onClick={()=>setIsReadMore(!isReadMore)} className="read-or-hide questionText">
                                {isReadMore ? "...read more" : " show less"}
                            </span>
                        </div> : 
                        <span className="questionText">{post.decription}</span>} */}
                <span className="questionText my-2">{ post.description }
                </span>
            </div>
            <div style={{"display" : "flex", "alignItems" : "center", "justifyContent" : "center"}}>
                {post.postImage && post.postImage!=null && post.postImage!=undefined ? <img src={process.env.REACT_APP_BACKEND_URL + '/images/feed/' + post.postImage} className="my-2" style={{"borderRadius" : "5px"}}></img> : <></>}                
            </div>
            <div className="row mt-3" style={{"justifyContent" : "space-between"}}>
                <div className="col-4 cursor" style={{"display" : "flex","justifyContent" : "center", "justifyItems" : "center"}}>
                    {likeIcon()} <span className="ml-1">
                        {post.likes.length === 0 ? <span>Like</span> : post.likes.length === 1 ? <>{post.likes.length + " "}<span>Like</span></> : <> {post.likes.length + "  "}<span>Likes</span></>}</span>
                </div>
                <div className="col-4 cursor" style={{"display" : "flex","justifyContent" : "center", "justifyItems" : "center"}} onClick={()=>setCommentFlag(!commentFlag)}>
                    <svg version="1.1" id="Layer_1" width="25px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enableBackground="new 0 0 120 120" xmlSpace="preserve">
                        <path fill="#A4A4A4" stroke="black" strokeWidth="3" d="M112.4,114.7L81.6,83.9H17.4c-5.4,0-9.8-4.4-9.9-9.8v-59c0-5.4,4.4-9.9,9.9-9.9h85.2c5.4,0,9.9,4.4,9.9,9.9
                            V114.7z M14.1,74.1c0,1.8,1.5,3.3,3.3,3.3h66.9l21.6,21.6V15.1c0-1.8-1.5-3.3-3.3-3.3H17.4c-1.8,0-3.3,1.5-3.3,3.3V74.1z"/>
                    </svg> 
                    <span className="ml-1">
                        {post.comments.length === 0 ? <span>Comment</span> : post.comments.length === 1 ? <>{post.comments.length + " "}<span>Comment</span></> : <> {post.comments.length + "  "}<span>Comments</span></>}
                    </span> 
                </div>
                <div className="col-4 cursor" style={{"display" : "flex","justifyContent" : "center", "justifyItems" : "center"}}>
                    {saveIcon()} 
                </div>
            </div>
            {commentFlag ? 
                <>
                    <div className="d-flex m-2">
                        <input className="form-control mr-3" type="text" placeholder="Write your comment..." onKeyDown={(e) => keyPressEnter(e)} onChange={(e)=>setComment(e.target.value)} value={comment}/>
                        <Button variant="primary" onClick={commentHandler}>
                            Submit
                        </Button>
                    </div>
                    {comments!==undefined && comments.length>0 && comments.map((c,idx) => {
                        return (
                            idx === comments.length -1 ?
                            <div>
                                <Comments c={c} key={idx} index={idx} post={post} fetchData={fetchData}/>
                            </div>:
                             <div className="ca_comment_wrapper">
                                <Comments c={c} key={idx} index={idx} post={post} fetchData={fetchData}/>
                            </div>                         
                        );})
                    }
                </>: <></>}
                
        </div> : <></> }
        </>
    );
}

export default SinglePost;