import React, { useState, useEffect, useContext }  from "react";
import { AuthContext } from "../../context/AuthContext";
import axios from "axios";
import { CheckBox } from "@material-ui/icons";
import { toggleButtonGroupClasses } from "@mui/material";
import Categories from "./Categories";

const areaOfInterest = ["Finance", "Pharmacy", "Accounts", "Administration","Human Resources","Sales & Marketing","Operations",
                        "Entry level guidance","Soft skill development","Digital transformation","Revenue cycle management","CRM","L&D","Legal and Statutory Audit",
                        "Materials and Procurement","Dealing with the new normal","Promoter management","Leadership and entrepreneurial skills","Change management",
                        "Strategy and business development","Innovation and Ideation","Dealing with workplace politics","Image building","Healthcare Market study",
                        "Innovation and Entreupernership","Hospital Design And Planning","M&A - Healthcare","Investment Opportunities","Research Guidance","Medical Services and Administration"];
const time = ["Anytime","Oldest", "Newest"];
const others = ["All","Solved", "Unsolved"];

const FilterPart = (props) => {
    let { user } = useContext(AuthContext);
    const [settingsData, setSettingsData] = useState({});
    const [Skip, setSkip] = useState(0);
    const [Limit, setLimit] = useState(8);
    // const [toggle,setToggle] = useState(false);
    const [selectedValues, setSelectedValues] = useState([]);
    const [Filters, setFilters] = useState({
      sharedTo: [],
      price: []
    });
    const [radioToggle, setRadioToggle] = useState(0);
    const [othersData, setOthersData] = useState('All');
    const [timesData, setTimesData] = useState('Anytime');
    //filter dragdown list
    const [aoi_toggle, setAoi_toggle] = useState(true);
    const [time_toggle, setTime_toggle] = useState(0);
    
  
    //filter values
  
    const [Checked, setChecked] = useState([]);

    const showFilteredResults = (filters) => {
        // timeRadio(radioToggle,othersData);
        const newFilters = {...Filters};
        console.log("Others------>", othersData,filters,timesData)
        newFilters.sharedTo= filters;
        if (newFilters.sharedTo.length > 0) {
          const variables = {
            skip: 0,
            limit: Limit,
            filters: newFilters,
            others: othersData,
            time:timesData
          }
          props.getQuestions(variables)
          setSkip(0)
        }else{
          props.fetchData();
        }
    
    }

    useEffect(() => {
        showFilteredResults(selectedValues);
    }, [othersData,timesData]);
    // useEffect(() => {
    //     showFilteredResults(selectedValues);
    // }, [timesData]);

    const timeRadio = (idx,o) => {
        console.log("Others option--->>>>>>>>>>",o)
        setRadioToggle(idx);
        setOthersData(o);
        console.log("SelectedValues Others---->",selectedValues,othersData);
        showFilteredResults(selectedValues);
    }

    const postedTime = (idx,t) => {
        setTime_toggle(idx);
        setTimesData(t);
        console.log("SelectedValues Time---->",selectedValues,timesData);
        showFilteredResults(selectedValues);
    }

    return (
        <div className="container_wrapper" style={{"padding" : "15px"}}>
            <div>
                <div className="popular_heading mb-3">
                    <p style={{"color" : "#6787C4","fontFamily":"RobotoRegular"}}>Categories</p>
                </div>
                <div className="categoriesClass">
                    {areaOfInterest.length === 0 ? <></> : areaOfInterest.map((interest,idx) => {
                        var toggle = false;                        
                        return (
                            <Categories key={idx} index={idx} label = {interest} selectedValues={selectedValues} showFilteredResults = {showFilteredResults}/>                            
                        )
                    })}
                </div>
            </div> 
            <div>
                <div className="popular_heading my-3">
                    <p style={{"color" : "#6787C4","fontFamily" : "RobotoRegular"}}>More Options</p>
                </div>
                <div>
                    {others.length === 0 ? <></> : others.map((o,idx) => {
                        return (
                            <div key={idx} className="row cursor" style={{"margin" : "5px"}} onClick={()=>timeRadio(idx,o)}>
                                {idx !== radioToggle ? 
                                <svg version="1.1" className="col-2" id="Layer_1" width="25px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                    <g id="Rectangle_1253">
                                        <path fill="#A4BAE6" d="M60,117.9c-31.9,0-57.9-26-57.9-57.9S28.1,2.1,60,2.1s57.9,26,57.9,57.9S91.9,117.9,60,117.9z M60,7.9
                                            C31.3,7.9,7.9,31.3,7.9,60s23.4,52.1,52.1,52.1c28.7,0,52.1-23.4,52.1-52.1S88.7,7.9,60,7.9z"/>
                                    </g>
                                </svg>: 
                                <svg version="1.1" className="col-2" id="Layer_1" width="25px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                    <g id="Rectangle_1253">
                                        <path fill="#A4BAE6" d="M60,117.9c-31.9,0-57.9-26-57.9-57.9S28.1,2.1,60,2.1s57.9,26,57.9,57.9S91.9,117.9,60,117.9z M60,7.9
                                            C31.3,7.9,7.9,31.3,7.9,60s23.4,52.1,52.1,52.1c28.7,0,52.1-23.4,52.1-52.1S88.7,7.9,60,7.9z"/>
                                    </g>
                                    <circle id="Ellipse_470" fill="#07BEB8" cx="60" cy="60" r="33"/>
                                </svg>
                                }
                                <span className="col-10 like_count">{o}</span>
                            </div>
                        )
                    })}
                </div>

            </div>
            <div>
                <div className="popular_heading my-3">
                    <p style={{"color" : "#6787C4","fontFamily" : "RobotoRegular"}}>Date Posted</p>
                </div>
                <div>
                    {time.length === 0 ? <></> : time.map((t,idx) => {
                        return (
                            <div key={idx} className="row cursor" style={{"margin" : "5px"}} onClick={()=>{postedTime(idx,t);}}>
                                {idx !== time_toggle ? 
                                <svg version="1.1" className="col-2" id="Layer_1" width="25px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                    <g id="Rectangle_1253">
                                        <path fill="#A4BAE6" d="M60,117.9c-31.9,0-57.9-26-57.9-57.9S28.1,2.1,60,2.1s57.9,26,57.9,57.9S91.9,117.9,60,117.9z M60,7.9
                                            C31.3,7.9,7.9,31.3,7.9,60s23.4,52.1,52.1,52.1c28.7,0,52.1-23.4,52.1-52.1S88.7,7.9,60,7.9z"/>
                                    </g>
                                </svg>: 
                                <svg version="1.1" className="col-2" id="Layer_1" width="25px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                    <g id="Rectangle_1253">
                                        <path fill="#A4BAE6" d="M60,117.9c-31.9,0-57.9-26-57.9-57.9S28.1,2.1,60,2.1s57.9,26,57.9,57.9S91.9,117.9,60,117.9z M60,7.9
                                            C31.3,7.9,7.9,31.3,7.9,60s23.4,52.1,52.1,52.1c28.7,0,52.1-23.4,52.1-52.1S88.7,7.9,60,7.9z"/>
                                    </g>
                                    <circle id="Ellipse_470" fill="#07BEB8" cx="60" cy="60" r="33"/>
                                </svg>
                                }
                                <span className="col-10 like_count">{t}</span>
                            </div>
                        )
                    })}
                </div>
            </div>           
        </div>
    );
}

export default FilterPart;