import PropTypes from "prop-types";
import React from "react";
import { Link } from "react-router-dom";
import Particle from "../particles/Particle";
import Tab from "react-bootstrap/Tab";
import Nav from "react-bootstrap/Nav";
import Login from "../login-register/login";
import Register from "../login-register/register";

const HeroSliderOneSingle = ({ data }) => {
  return (
    <div
      className="slide d-flex bg-image--1 align__center poss--relative"
      style={{
        backgroundImage: `url(${process.env.PUBLIC_URL + data.backgroundImage})`
      }}
    >
      <div className="container">
        <div className="row align-items-center">
          <div className="col-lg-7 col-md-7 col-sm-12 col-12 d-flex align-items-center">
            <div className="slide__inner">
              <h1>{data.title}</h1>
              <Link
                className="slide__btn dg__btn btn--white"
                to={process.env.PUBLIC_URL + data.url}
              >
                Learn More
              </Link>
            </div>
          </div>
          <div className="col-lg-5 col-md-5 col-sm-12 col-12">
            <div className="slider__fornt">
              <div className="dg__account section-padding--xl">
                <div className="container">
                  <div className="row">
                    {console.log(data)}
                    <div style={{ padding: "27px", backgroundImage: `url(${process.env.PUBLIC_URL + "/images/slider/2.jpg"})` }} className="col-lg-9">
                      <Tab.Container defaultActiveKey="login">
                        <Nav
                          variant="pills"
                          className="acount__nav justify-content-center"
                        >
                          <Nav.Item>
                            <Nav.Link eventKey="login">Login</Nav.Link>
                          </Nav.Item>
                          <Nav.Item>
                            <Nav.Link eventKey="register">Register</Nav.Link>
                          </Nav.Item>
                        </Nav>
                        <Tab.Content>
                          <Login />
                          <Register />
                        </Tab.Content>
                      </Tab.Container>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <Particle />
    </div>
  );
};

HeroSliderOneSingle.propTypes = {
  data: PropTypes.object
};

export default HeroSliderOneSingle;
