import React, { useState } from "react";
import { useContext, useRef } from "react";
import { useParams } from "react-router-dom";
import { changePasswordCall,loginCall } from "../../apiCalls";
import { AuthContext } from "../../context/AuthContext";
import { CircularProgress } from "@material-ui/core";
import { useHistory } from "react-router";
import Tab from "react-bootstrap/Tab";
import axios from "axios";


const ChangePassword = () => {

    const currentPassword = useRef();
    const newPassword = useRef();
    const confirmPassword = useRef();
    let { user } = useContext(AuthContext);
    let {token} = useParams();
    const { isFetching, dispatch } = useContext(AuthContext);
    const history = useHistory();
    const [infoToggle, setInfoToggle] = useState(false);

    const handleClick = async (e) => {
        e.preventDefault();
        
        if (newPassword.current.value === confirmPassword.current.value) {
            // changePasswordCall(
            //     { email: emailId, password: newPassword.current.value,oldPassword: currentPassword.current.value }, dispatch);
            if(token){
                try{
                    console.log("EEEEEEE___________---------____",token)
                    const res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/reset/` + token, {password: newPassword.current.value,oldPassword: currentPassword.current.value });
                    if (res.data.userData) {
                        alert(res.data.message)
                        history.push('/');
                    } else {
                        alert(res.data.message)
                    }
                }catch(err){
                    console.log("Error in changing Password",err)
                }                  
            }
            else {
                try{
                    const res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/changepassword`, { email:user.email, password: newPassword.current.value,oldPassword: currentPassword.current.value });
                    if (res.data.userData) {
                        alert(res.data.message)
                        history.push('/');
                    } else {
                        alert(res.data.message)
                    }
                }catch(err){
                    console.log("Error in changing Password",err)
                }
                  
            }    
            setInfoToggle(true);
           history.push('/community');
        } else {
            alert("Password mismatch!")
        }
    };

    return (

        <Tab.Pane eventKey="login"  style={{"width":"75%","height":"auto"}}>
            <form className="loginBox" onSubmit={handleClick}>
                <div className="single__account">
                    <div className="input__box">
                        <span>Current Password</span>
                        <input
                            placeholder="Current Password"
                            type="password"
                            required
                            minLength="6"
                            className="loginInput"
                            ref={currentPassword}
                        />
                    </div>
                    <div className="input__box">
                        <span>New Password</span>
                        <input
                            placeholder="New Password"
                            type="password"
                            required
                            minLength="6"
                            className="loginInput"
                            ref={newPassword}
                        />
                    </div>
                    <div className="input__box">
                        <span>Confirm Password</span>
                        <input
                            placeholder="New Password"
                            type="password"
                            required
                            minLength="6"
                            className="loginInput"
                            ref={confirmPassword}
                        />
                    </div>

                    <button className="account__btn" type="submit" disabled={isFetching}>
                        {isFetching ? (
                            <CircularProgress color="white" size="20px" />
                        ) : (
                            "Change Password"
                        )}
                    </button>
                </div>
            </form>
            {infoToggle ? <span className="m-2">Password Changed Successfully</span> : <></>}
        </Tab.Pane>
    );
};

export default ChangePassword;
