import React from "react";
import { useContext, useRef, useState } from "react";
import { AuthContext } from "../../context/AuthContext";
import { CircularProgress } from "@material-ui/core";
import { useHistory } from "react-router";
import Tab from "react-bootstrap/Tab";
import axios from "axios";

const ForgotPassword = () => {

    const email = useRef();
    const confirmPassword = useRef();
    const newPassword = useRef();
    const { isFetching, dispatch } = useContext(AuthContext);
    const history = useHistory();
    const [checkEmail, setCheckEmail] = useState(false);
    const [userValue, setUserValue] = useState({});

    const handleClick = async (e) => {
        e.preventDefault();
        try {
            const res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/forgot`, { email: email.current.value });
            setCheckEmail(true);
            if (res.data.userData) {
                setCheckEmail(true);
                setUserValue(res.data.userData);
            } else {
                alert(res.data.message)
            }
        } catch (err) {
            alert(err);
        };
    };

    const changePasswordFunc = async (e) => {
        e.preventDefault();
        if (newPassword.current.value == confirmPassword.current.value) {
            const res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/forgotpassword`, { email: userValue.email, password: newPassword.current.value });
            if (res.data.userData) {
                setCheckEmail(false);
                alert(res.data.message)
                history.push('/');
            } else {
                alert(res.data.message)
            }
        } else {
            alert("Password mismatch!")
        }
    };

    return (
        <>
            {checkEmail ? 
            <div>
                <span>Email has been sent to your mail id.</span>
            </div>
            // <Tab.Pane eventKey="forgotpassword">
            //     <form className="loginBox" onSubmit={changePasswordFunc}>
            //         <div className="single__account">

            //             <div className="input__box">
            //                 <span>New Password</span>
            //                 <input
            //                     placeholder="New Password"
            //                     type="password"
            //                     required
            //                     minLength="6"
            //                     className="loginInput"
            //                     ref={newPassword}
            //                 />
            //             </div>
            //             <div className="input__box">
            //                 <span>Confirm Password</span>
            //                 <input
            //                     placeholder="New Password"
            //                     type="password"
            //                     required
            //                     minLength="6"
            //                     className="loginInput"
            //                     ref={confirmPassword}
            //                 />
            //             </div>

            //             <button className="account__btn" type="submit" disabled={isFetching}>
            //                 {isFetching ? (
            //                     <CircularProgress color="white" size="20px" />
            //                 ) : (
            //                     "Change Password"
            //                 )}
            //             </button>
            //         </div>
            //     </form>
            // </Tab.Pane>
            :
            <Tab.Pane eventKey="email" style={{"width":"75%"}}>
                <form className="loginBox" onSubmit={handleClick}>
                    <div className="single__account">
                        <div className="input__box">
                            <span>Enter your Email Id</span>
                            <input
                                placeholder="Email"
                                type="email"
                                required
                                className="loginInput"
                                ref={email}
                            />
                        </div>

                        <button className="account__btn" type="submit" disabled={isFetching}>
                            {isFetching ? (
                                <CircularProgress color="white" size="20px" />
                            ) : (
                                "Submit"
                            )}
                        </button>
                    </div>
                </form>

            </Tab.Pane>}

        </>
    );
};

export default ForgotPassword;
