import React from "react";
import { useContext, useRef ,useState} from "react";
import { loginCall } from "../../apiCalls";
import { AuthContext } from "../../context/AuthContext";
import { CircularProgress } from "@material-ui/core";
import { useHistory } from "react-router";
import { Link } from "react-router-dom";
import Tab from "react-bootstrap/Tab";
import {  Modal,Button } from 'react-bootstrap';
import ForgotPassword from "../../components/login-register/forgotPassword";
const Login = ({toggleForgot}) => {

    const email = useRef();
    const password = useRef();
    const { isFetching, user, dispatch } = useContext(AuthContext);
    const history = useHistory();
    const [modalShow, setModalShow] = useState(false);

    const handleClick = async (e) => {
        e.preventDefault();
        loginCall(
            { email: email.current.value, password: password.current.value }, dispatch);
            if(user !== null)
            history.push('/community');
            else{
              alert("Wrong password");
            }
    };


    const changePasswordModule = () => {
        toggleForgot("Forgot")
        // setModalShow(true)
      }
    
      function MyVerticallyCenteredModal(props) {
        return (
          <Modal
            {...props}
            size="lg"
            aria-labelledby="contained-modal-title-vcenter"
            centered
          > 
            <Modal.Header closeButton> 
              <Modal.Title id="contained-modal-title-vcenter">
              Forgot Password
              </Modal.Title>
            </Modal.Header>
            <Modal.Body>
            <ForgotPassword />
            </Modal.Body>
            <Modal.Footer>
              <Button onClick={props.onHide}>Close</Button>
            </Modal.Footer>
          </Modal>
        );
      }
    return (

        <Tab.Pane eventKey="login" style={{"width":"75%"}}>
            <form className="loginBox my-3" onSubmit={handleClick}>
                <div className="single__account">
                    <div className="input__box">
                        <span>Email Address</span>
                        <input
                            placeholder="Email"
                            type="email"
                            required
                            className="loginInput"
                            ref={email}
                        />
                    </div>
                    <div className="input__box">
                        <span>Password</span>
                        <input
                            placeholder="Password"
                            type="password"
                            required
                            minLength="6"
                            className="loginInput"
                            ref={password}
                        />
                    </div>
                    <p className="forgot_pass cursor"  onClick={changePasswordModule}> Lost your password?</p>
                    <button className="account__btn" type="submit" disabled={isFetching}>
                        {isFetching ? (
                            <CircularProgress color="white" size="20px" />
                        ) : (
                            "Log In"
                        )}
                    </button>
                </div>
            </form>
          
            <MyVerticallyCenteredModal
                  show={modalShow}
                  onHide={() => setModalShow(false)}
                />
        </Tab.Pane>
        
    );
};

export default Login;
