import React, { useState } from "react";
import Tab from "react-bootstrap/Tab";
import axios from "axios";
import { useRef,useContext } from "react";
import { useHistory } from "react-router";
import { AuthContext } from "../../context/AuthContext";
import { loginCall } from "../../apiCalls";

const Register = ({ data }) => {
    const username = useRef();
    const email = useRef();
    const phno = useRef();
    const designation = useRef();
    const password = useRef();
    const passwordAgain = useRef();
    const [toggle, setToggle ] = useState(false);
    const history = useHistory();
    const { dispatch } = useContext(AuthContext);
    const handleClick = async (e) => {
        setToggle(true);
        e.preventDefault();
        if (passwordAgain.current.value !== password.current.value) {
            passwordAgain.current.setCustomValidity("Passwords don't match!");
        } else {
            const user = {
                username: username.current.value,
                email: email.current.value,
                password: password.current.value,
                phno: phno.current.value,
                designation: designation.current.value,
                userType: "free",
                active: true
            };
            console.log("USer---->", user)
            try {
                await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/register`, user);
                // loginCall(
                //     { email: email.current.value, password: password.current.value }, dispatch);
                // history.push("/community");
            } catch (err) {
                console.log(err, "err");
            }
        }
    };

    return (
        <>
        {toggle ? 
        <span>An email has been sent for verification.</span> : <Tab.Pane className=" ml-2 mb-5 mt-2"  eventKey="register">
            <div className="fontHeader TitleWord">Register Now</div>
            <div className="m-5 belowTitle">Join the 'world's largest' healthcare community and connect with the brightest minds in the industry.</div>
            <div  className="registrationflex">
            <form className="loginBox" onSubmit={handleClick}>

                <div className="single__account">
                    <div className="d-flex flex-row" >
                    <div className="col-6 input__box">
                        <span>User Name</span>
                        <input
                            placeholder="Username"
                            required
                            ref={username}
                            className="loginInput"
                            type="text"
                        />
                    </div>
                    <div className="col-6 input__box">
                        <span>Email address</span>
                        <input
                            placeholder="Email"
                            required
                            ref={email}
                            className="loginInput"
                            type="email"
                        />
                    </div>
                    </div>
                    <div className="d-flex flex-row">
                    <div className="col-6 input__box">
                        <span>Phone number</span>
                        <input
                            placeholder="phone number"
                            required
                            ref={phno}
                            className="loginInput"
                            type="tel"
                            minLength="10"
                        />
                    </div>
                    <div className="col-6 input__box">
                        <span>Designation</span>
                        <input
                            placeholder="Designation"
                            required
                            ref={designation}
                            className="loginInput"
                            type="text"
                        />
                    </div>
                    </div>
                    <div className="d-flex flex-row">
                    <div className="col-6 input__box">
                        <span>Password</span>
                        <input
                            placeholder="Password"
                            required
                            ref={password}
                            className="loginInput"
                            type="password"
                            minLength="6"
                        />
                    </div>
                    <div className="col-6 input__box">
                        <span>Confirm Password</span>
                        <input
                            placeholder="Password Again"
                            required
                            ref={passwordAgain}
                            className="loginInput"
                            type="password"
                        />
                    </div>
                    </div>
                    <div>
                    <button className="col-12 account__btn" type="submit">Register</button>
                    </div>
                </div>
            </form>
            </div>
        </Tab.Pane>}
        </>
    );
};

export default Register;
