import React, { useState, useEffect } from "react";
import { format } from "timeago.js";
import { useHistory, Link } from "react-router-dom";
import axios from "axios";

const PopularArticle = () => {
    const [popularArticle, setPopularArticle] = useState([]);
    const history = useHistory();

    const getPopularArticle = async () => {
        var res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/newsandarticles/getmostliked`);
        setPopularArticle(res.data);
    }

    useEffect(() => {
        getPopularArticle();
      }, []);
    return (
        <>
            {Object.keys(popularArticle).length > 0 ?
        <div className="container_wrapper advertisement" style={{"padding" : "5px"}}>
            <div className="popular_heading d-flex">
            <p>News and Articles</p>
            {/* {console.log(popularArticle,"---------as---->")} */}
            <p className="ml-5 cursor" onClick={() => { history.push("/news/" ) }}>View All</p>
            </div>
            <div className="mt-2">
            <img src={process.env.REACT_APP_BACKEND_URL + popularArticle[0].newsImage} style={{borderRadius : "15px"}}></img>
            <div className="m-1">
                <p className="popularQuestionText">{popularArticle[0].newsTitle}</p>
                <span className="popularQuestionText" style={{"fontWeight" : "200"}}>{popularArticle[0].newsDescription}</span>
            </div>
            <div style={{"padding" : "6px", fontSize : "0.8rem"}}>
                <Link to={{
                        pathname: '/articles/' + popularArticle[0]._id
                        // state : question
                        }} style={{color: 'black'}}>
                        <span className="cursor">Read More</span>
                </Link>
                <span style={{"float" : "right"}}>Posted {format(popularArticle[0].createdAt)}</span>
            </div>
            </div>
        </div> : <></>}
        </>
    );
}

export default PopularArticle;