import React, { useState, useEffect } from "react";
import { useHistory } from "react-router-dom";
import axios from "axios";
import adsData from "../../data/ads/ads.json";
import { format } from "timeago.js";
import PopularArticle from "./PopularArticle";
import Ads from "./Ads";


const PopularQuestions = ({ fetchData }) => {
  const [popularQuestion, setPopularQuestion] = useState([]);

  const history = useHistory();
  const getPopularQuestions = async () => {
    var res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/question/getmostdiscussed`);
    setPopularQuestion(res.data);
  }

  const check = () => {
    fetchData();
   }
  useEffect(() => {
    getPopularQuestions();
  }, []);
  return (
    <div className="popular_activity ">
      <div className="container_wrapper" style={{"padding": "15px"}}>
        <div className=" popular_heading">
          <p style={{"color" : "#6787C4","fontFamily" : "RobotoRegular"}}>Most discussed Topics</p>
        </div>
        <div className="">          
          <div className="">
            {popularQuestion.map((question,idx) => {
              return (
                <div className="row no-gutters hoverClass mx-3 " style={{"display" : "flex","flexWrap" : "wrap","alignItems": "center", "borderBottom" : " 1px solid rgba(0, 0, 0, 0.07)"}}>
                  <svg version="1.1" className="col-1" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                    <path id="Rectangle_503" fill="#A4BAE6" d="M15.8,17.7h68.7c5.4,0,9.8,4.4,9.8,9.8v50.2c0,5.4-4.4,9.8-9.8,9.8H15.8
                      c-5.4,0-9.8-4.4-9.8-9.8V27.5C6,22.1,10.4,17.7,15.8,17.7z"/>
                    <path id="Rectangle_504" opacity="0.23" fill="#A4BAE6" enable-background="new    " d="M35.5,32.4h68.7c5.4,0,9.8,4.4,9.8,9.8v50.2
                      c0,5.4-4.4,9.8-9.8,9.8H35.5c-5.4,0-9.8-4.4-9.8-9.8V42.2C25.6,36.8,30,32.4,35.5,32.4z"/>
                  </svg>
                  <span key={idx} className="popularQuestionText col-9 cursor m-2" onClick={() => { history.push("/answers/" + question._id); check(); }}>{question.question}</span>
                </div>                
              );
            })}
          </div>
        </div>
        <div style={{"maxWidth" : "280px"}}>
          <img style={{ height: "20%", width: "103%", borderRadius : "10px" }} src="/images/ads/7.png"></img>
        </div>
        <div className=" popular_heading mt-4">
          <p style={{"color" : "#6787C4"}}>Recent Updates</p>
        </div>
        <div className="row no-gutters">
          <div className="col-4" style={{"display" : "grid","justifyContent" : "center", "alignItems" : "center"}}>
            <img style={{ height: "50%", width: "auto", borderRadius : "10px" }} src="/images/cb.jpg"></img>
          </div>
          <div className="col-8">
            <div className="col-12">
              <span style={{"fontSize" : "0.8rem","fontWeight" : "bolder","color" : "#3C4453"}}>Our new Chat Bot</span>
            </div>
            <div className="col-12 recentUpdates" >
              <span style={{"fontSize" : "0.7rem","color" : "#8791A4"}}>
                Lorem Ipsum è un testo segnaposto utilizzato nel settore della tipografia e della stampa.
              </span>
            </div>
          </div>
        </div> 
      </div>           
    </div>
  );
};

export default PopularQuestions;
