import React, { useState,useContext,useEffect } from "react";
import { Button } from "react-bootstrap";
import { Link, useHistory } from "react-router-dom";
import { AuthContext } from "../../context/AuthContext";
import axios from "axios";

const ExpertsList = ({e,fetchExperts}) => {
    const [favToggle, setFavToggle] = useState(false);
    let { user, dispatch } = useContext(AuthContext);
    const [userData, setUserData] = useState({});
    

    const getUserData = async () => {
        var resultUser = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/` + user._id + '/oneUser');
        setUserData(resultUser.data);
    }

    useEffect(()=>{
        getUserData();
    },[]);

    const favourite = () => {
        
        if(Object.keys(userData).length > 0){
        const savedLength = userData.saved.experts.length;                        
        for (var l = 0; l < savedLength; l++) {
            if (userData.saved.experts[l] === e._id) {
                break;
            }
        }
        if (l == savedLength) {
            return(
                <>
                <svg version="1.1" className="cursor" onClick={favoriteExpert} width="18px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                <g id="Group_2329" transform="translate(-1032.14 -554.322)">
                    <path id="Icon_metro-favorite-2" fill="#978f91" d="M1092.1,664l-7.9-7.1c-27.9-25.3-46.3-42-46.3-62.5
                        c-0.2-16.3,12.9-29.6,29.1-29.8c0.2,0,0.4,0,0.6,0c9.4,0.1,18.3,4.2,24.4,11.3c6.1-7.1,15-11.2,24.4-11.3
                        c16.3-0.2,29.6,12.9,29.8,29.1c0,0.2,0,0.4,0,0.6c0,20.4-18.4,37.1-46.3,62.5L1092.1,664z"/>
                </g>
                </svg>
                </>
                
            );
        } else {
            return (
                <>
                <svg version="1.1" className="cursor" onClick={favoriteExpert} width="18px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                <g id="Group_2329" transform="translate(-1032.14 -554.322)">
                    <path id="Icon_metro-favorite-2" fill="#FF7898" d="M1092.1,664l-7.9-7.1c-27.9-25.3-46.3-42-46.3-62.5
                        c-0.2-16.3,12.9-29.6,29.1-29.8c0.2,0,0.4,0,0.6,0c9.4,0.1,18.3,4.2,24.4,11.3c6.1-7.1,15-11.2,24.4-11.3
                        c16.3-0.2,29.6,12.9,29.8,29.1c0,0.2,0,0.4,0,0.6c0,20.4-18.4,37.1-46.3,62.5L1092.1,664z"/>
                </g>
                </svg>
                </>
            );
        }
        }
    }
    
    const favoriteExpert = async () => { 
        
        favourite();
        var savedData = {
            type : "experts",
            id : e._id
        }
        const savedLength = userData.saved.experts.length;                
        for (var m = 0; m < savedLength; m++) {
            if (userData.saved.experts[m] == e._id) {
                break;
            }
        }        
        if(m === savedLength){
            userData.saved.experts.push(e._id);
            // history.location.pathname !== '/community' ? fetchQuestion() : fetchData();
            fetchExperts();
            getUserData();
        }
        else {            
            userData.saved.experts.splice(1,m);
            console.log("Kit Harrington knows nothing", userData.saved);
            // history.location.pathname !== '/community' ? fetchQuestion() : fetchData();
            fetchExperts();
            getUserData();
        }
        try {
           var result = await axios.put(`${process.env.REACT_APP_BACKEND_URL}/api/users/` + user._id + `/putSavedData`, savedData);
            // history.location.pathname !== '/community' && history.location.pathname !== '/home' ? fetchQuestion() : fetchData();
            console.log("ICON----->",userData)
            dispatch({ type: "UPDATE", payload: userData })
            fetchExperts();
            getUserData();
        }catch (err) {
            console.log("Error in saving expert")
        }
    }
   
    return (        
        <div className="row question p-2" style={{"display":"flex","justifyContent":"space-between"}}>
            <div className=" col-9 d-flex no-gutters">
                <div className="col-4" style={{"display": "flex","alignItems":"center"}}>                                    
                    <Link to={{
                            pathname: '/myprofile/' + e._id
                            // state : question
                        }} style={{ color: 'black' }}>
                        <img
                            className=" m-2"
                            style={{"borderRadius" : "5px", "height" : "85px","width" : "85px", "objectFit" : "cover"}}
                            src={e.profilePicture ? process.env.REACT_APP_BACKEND_URL + e.profilePicture : process.env.REACT_APP_BACKEND_URL + process.env.REACT_APP_ProfileAvathar_Url}
                            alt=""
                        />
                    </Link>
                </div>
            
                <div className="col-8 question_user ">
                    <div className="row" style={{"display": "block"}}>
                        <div style={{"display":"flex"}}>
                            <span className="questionUsername">{e.username}</span>
                            <svg version="1.1" width="20px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                            <g id="Group_1561">
                                
                                    <linearGradient 
                                        id="Path_197_1_"
                                        gradientUnits="userSpaceOnUse" 
                                        x1="19.5121" 
                                        y1="98.2875" 
                                        x2="19.5121" 
                                        y2="91.298" 
                                        gradientTransform="matrix(9.811870e-16 16.024 16.024 -9.811870e-16 -1458.9591 -252.6618)">
                                    <stop  offset="0" style={{"stopColor":"#06BDB7"}}/>
                                    <stop  offset="1" style={{"stopColor":"#03EEE6"}}/>
                                </linearGradient>
                                <path id="Path_197" fill="url(#Path_197_1_)" d="M116,60c0,30.9-25.1,56-56,56S4,90.9,4,60S29.1,4,60,4l0,0C90.9,4,116,29.1,116,60
                                    z"/>
                                <path id="Icon_open-check" fill="#FFFFFF" d="M80.5,37.7L75.4,43L52.5,65.9l-8.1-8.1l-5.3-5.3L31,60.6l5.3,5.3L47.4,77l5.1,5.3
                                    l5.3-5.3l25.9-25.9l5.3-5.3L80.5,37.7z"/>
                            </g>
                            </svg>
                        </div>
                        <span className="questionJob">{e.designation}</span>                                               
                    </div>                                    
                    
                    {/* <div className="questionDate ml-0">{time}</div> */}
                    
                    <div className="row">                        
                        <span className="" style={{"fontFamily" : "RobotoRegular","fontSize":"0.8rem"}}>{e.qualification}</span>
                    </div>                                    
                </div>                
            </div>
            <div className="col-3 " style={{"display":"flex","justifyContent":"center"}}>
                <div style={{"display":"grid","alignItems":"center","justifyItems":"center"}}>
                <div>
                    {favourite()}
                    {/* <svg version="1.1" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                    <g id="Group_2329" transform="translate(-1032.14 -554.322)">
                        <path id="Icon_metro-favorite-2" fill="#FF7898" d="M1092.1,664l-7.9-7.1c-27.9-25.3-46.3-42-46.3-62.5
                            c-0.2-16.3,12.9-29.6,29.1-29.8c0.2,0,0.4,0,0.6,0c9.4,0.1,18.3,4.2,24.4,11.3c6.1-7.1,15-11.2,24.4-11.3
                            c16.3-0.2,29.6,12.9,29.8,29.1c0,0.2,0,0.4,0,0.6c0,20.4-18.4,37.1-46.3,62.5L1092.1,664z"/>
                    </g>
                    </svg> */}
                </div>
                <div>
                    <Button> 
                        <svg version="1.1" width="18px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                            viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                        <g id="noun_chat_806194">
                            <path id="Path_201" fill="#FFFFFF" d="M60,2.6C28.8,2.6,3.6,27.8,3.6,58.9c0,7,1.3,13.9,3.8,20.5c2.1,5.2,4.9,10.2,8.5,14.6
                                l-8.2,19.3c-0.5,1-0.3,2.2,0.4,3c0.6,0.7,1.4,1.2,2.4,1.2H11l30.3-5.3c6,2.2,12.4,3.3,18.8,3.3c31.1,0,56.3-25.3,56.3-56.5
                                C116.4,27.8,91.1,2.5,60,2.6z M39.9,66.1c-3.4,0-6.1-2.7-6.1-6.1c0-3.4,2.7-6.1,6.1-6.1c3.4,0,6.1,2.7,6.1,6.1l0,0
                                C46,63.4,43.3,66.1,39.9,66.1L39.9,66.1z M60,66.1c-3.4,0-6.1-2.7-6.1-6.1c0-3.4,2.7-6.1,6.1-6.1c3.4,0,6.1,2.7,6.1,6.1l0,0
                                C66,63.4,63.3,66.1,60,66.1z M80,66.1c-3.4,0-6.1-2.7-6.1-6.1c0-3.3,2.6-6,5.9-6.1c0,0,0.1,0,0.1,0c3.4,0,6.1,2.7,6.1,6.1
                                c0,3.3-2.6,6-5.9,6.1C80.1,66.1,80,66.1,80,66.1z"/>
                        </g>
                        </svg>
                        <span style={{"fontSize" : "0.6rem"}}>Consult now</span>
                    </Button>
                </div>
                
                </div>
                
            </div>                            
        </div>
    );
}

export default ExpertsList;