import { Edit } from "@material-ui/icons";
import { Link, useHistory } from "react-router-dom";
import React,{useState} from "react";
import SingleQuestion from "../questions/SingleQuestion";
import { Nav, Navbar, Modal,Button, NavDropdown } from 'react-bootstrap';
import axios from "axios";
import { IconButton } from "@material-ui/core";
import MenuItem from '@material-ui/core/MenuItem';
import Menu from "@material-ui/core/Menu";

const areaOfInterest = ["Finance", "Human Resource", "Pharmacy", "Accounts", "Administration","Human Resources","Sales & Marketing","OperationsFinance",
                        "Entry level guidance","Soft skill development","Digital transformation","Revenue cycle management","CRM","L&D","Legal and Statutory Audit",
                        "Materials and Procurement","Dealing with the new normal","Promoter management","Leadership and entrepreneurial skills","Change management",
                        "Strategy and business development","Innovation and Ideation","Dealing with workplace politics","Image building","Healthcare Market study",
                        "Innovation and Entreupernership","Hospital Design And Planning","M&A - Healthcare","Investment Opportunities","Research Guidance","Medical Services and Administration"];
const MyQueries = ({queries,getUserQueries}) => {
    const history = useHistory();
    const [SearchText, setSearchText] = useState("");
    const [questions, setQuestions] = useState(queries);
    const [QuestionSize, setQuestionSize] = useState();
    const [paginationQuestion, setPaginationQuestion] = useState([]);
    const [Skip, setSkip] = useState(0);
    const [Limit, setLimit] = useState(8);
    const [page, setPage] = useState(0);
    const [rowsPerPage, setRowsPerPage] = useState(10);
    const [Filters, setFilters] = useState({
        continents: [],
        price: []
    });
    const [anchorEl, setAnchorEl] = useState(null);
    const open = Boolean(anchorEl);

    const onChangeSearch = (event) => {
        // debugger;
        // if(history.location.pathname === '/community')
        var searchedQuestion = [];
        setSearchText(event.currentTarget.value)
        
            if(event.currentTarget.value !== ""){
                console.log("EV--->",event.currentTarget.value)
                for(let i=0;i<queries.length;i++){
                    if(queries[i].question.toLowerCase().includes(event.currentTarget.value.toLowerCase())){
                        // setQuestions([queries[i]]);
                        searchedQuestion.push(queries[i]);
                    }
                }
                setQuestions([...searchedQuestion]);
                getUserQueries();
              }
              else {
                  setQuestions(queries);
                  getUserQueries();
              }
        
      }
    const handleMenuClick = (event) => {
        setAnchorEl(event.currentTarget);
    };

    const handleMenuClose = () => {
        setAnchorEl(null);
    };
    
      const updateSearchTerms = (newSearchTerm) => {
          if(newSearchTerm !== ""){
            for(let i=0;i<queries.length;i++){
                if(queries[i].question.includes(newSearchTerm)){
                    setQuestions([queries[i]]);
                }
            }
            getUserQueries();
          }
          else {
              getUserQueries();
          }
        
        // const variables = {
        //   skip: Skip,
        //   limit: Limit,
        //   filters: Filters,
        //   searchQuestion: newSearchTerm
        // }
        // setSkip(0)
        // getQuestions(variables)
      }
    //   const getQuestions = async (variables) => {
    //     var userData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
    //     axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/question/getquestions`, variables)
    //       .then(response => {
    //         if (response.data.success) {
    //           for (var i = 0; i < response.data.questions.length; i++) {
    //             for (var j = 0; j < userData.data.length; j++) {
    //                if(userData.data[j]._id==response.data.questions[i].userId ){
    //                  if(response.data.questions[i].username == 'Anonymous'){
    //                   response.data.questions[i].profilePicture=response.data.questions[i].userImage;
    //                   break;
    //                  }else{
    //                   response.data.questions[i].profilePicture=userData.data[j].profilePicture;
    //                   break;
    //                  }
    //                }
    //             }
    //           }
    //           if (variables.loadMore) {
    //             setQuestions([...questions, ...response.data.questions]);
    //             var startPage = page * rowsPerPage;
    //             var endPage = (page + 1) * rowsPerPage;
    //             setQuestionSize((response.data.questions).length);
    //             setPaginationQuestion((response.data.questions).slice(startPage, endPage));
    //           } else {
    //             setQuestions(response.data.questions);
    //             var startPage = page * rowsPerPage;
    //             var endPage = (page + 1) * rowsPerPage;
    //             setQuestionSize((response.data.questions).length);
    //             setPaginationQuestion((response.data.questions).slice(startPage, endPage));
    //           }
    //         } else {
    //           alert('Failed to fectch product datas');
    //         }
    //       })
    //   }
    return (
        <div className="question">
            <div className="row p-3" style={{"display" : "flex", "alignItems" : "center"}}>
                <div className="col-9"> 
                    <input className=" form-control search_bar" type="text"  onChange={onChangeSearch} placeholder="Search" />
                </div>
                <div className="col-3" style={{"display" : "flex", "flexDirection" : "row","justifyContent":"flex-end","alignItems" :"center"}} >
                    <IconButton 
                        onClick={handleMenuClick}
                        size="small"
                        sx={{ ml: 2 }}
                        aria-controls={open ? 'account-menu' : undefined}
                        aria-haspopup="true"
                        aria-expanded={open ? 'true' : undefined}
                    >
                    <svg version="1.1" className="cursor" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                    <g id="noun-filter-4405002" transform="translate(54.566 -122.467) rotate(90)">
                        <path id="Path_552" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M149-38.6v-19.2c0.2-2.1-1.4-3.9-3.4-4
                            s-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v19.2c-8,2.1-12.8,10.2-10.8,18.2c1.4,5.3,5.5,9.4,10.8,10.8V47c0.2,2.1,2,3.6,4,3.4
                            c1.8-0.1,3.3-1.6,3.4-3.4V-9.7c8-2.1,12.8-10.2,10.8-18.2C158.5-33.2,154.3-37.3,149-38.6L149-38.6z M145.3-16.7
                            c-4.1,0-7.5-3.3-7.4-7.5c0-4.1,3.3-7.5,7.5-7.4c4.1,0,7.5,3.3,7.4,7.5c0,2-0.8,3.9-2.2,5.3C149.2-17.4,147.3-16.7,145.3-16.7z"/>
                        <path id="Path_553" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M223.3-38.6v-19.2c0.2-2.1-1.4-3.9-3.4-4
                            c-2.1-0.2-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v19.2c-8,2.1-12.8,10.2-10.8,18.2c1.4,5.3,5.5,9.4,10.8,10.8V47c0.2,2.1,2,3.6,4,3.4
                            c1.8-0.1,3.3-1.6,3.4-3.4V-9.7c8-2.1,12.8-10.2,10.8-18.2C232.8-33.2,228.6-37.3,223.3-38.6L223.3-38.6z M219.6-16.7
                            c-4.1,0-7.5-3.4-7.5-7.5c0-4.1,3.4-7.5,7.5-7.5c4.1,0,7.5,3.4,7.5,7.5c0,2-0.8,3.9-2.2,5.3C223.5-17.4,221.6-16.7,219.6-16.7
                            L219.6-16.7z"/>
                        <path id="Path_554" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M186.5-1.2v-56.6c0.2-2.1-1.4-3.9-3.4-4
                            c-2.1-0.2-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v56.6C171,0.8,166.2,9,168.3,17c1.4,5.3,5.5,9.4,10.8,10.8V47c-0.2,2.1,1.4,3.9,3.4,4
                            c2.1,0.2,3.9-1.4,4-3.4c0-0.2,0-0.4,0-0.6V27.8c8-2.1,12.8-10.2,10.8-18.2C195.9,4.3,191.8,0.1,186.5-1.2z M182.8,20.8L182.8,20.8
                            c-4.1,0-7.5-3.4-7.5-7.5c0-4.1,3.4-7.5,7.5-7.5c4.1,0,7.5,3.4,7.5,7.5c0,2-0.8,3.9-2.2,5.3C186.6,20,184.7,20.8,182.8,20.8z"/>
                    </g>
                    </svg>
                    </IconButton>
                    <Menu
                        anchorEl={anchorEl}
                        getContentAnchorEl={null}
                        id="account-menu"
                        open={open}
                        onClose={handleMenuClose}
                        onClick={handleMenuClose}                        
                        transformOrigin={{ horizontal: 'right', vertical: 'top' }}
                        anchorOrigin={{ horizontal: 'right', vertical: 'bottom' }}
                        PaperProps={{
                            style: {
                              maxHeight: 48 * 4.5,
                              width: '20ch',
                            },
                          }}
                        
                    >
                        {areaOfInterest.length===0? <></> : areaOfInterest.map((a,idx) => {
                            return (
                                <MenuItem key={idx}>
                                    <span>{a}</span>
                                </MenuItem>
                            )
                        })
                        }
                    </Menu>
                    <span className="px-2">Filters</span>
                </div>
                
            </div>
            {questions.length === 0 ? queries.map((q,idx) => {
                return(
                    <div className="p-3">
                        <SingleQuestion question = {q} key={idx} fetchQuestion = {getUserQueries}/>
                        {idx === queries.length-1 ? <></> : <hr className="mx-3" style={{"opacity":"0.1"}}/>}
                    </div>
                )
            }) : questions.map((q,idx) => {
                return(
                    <div className="p-3">
                        <SingleQuestion question = {q} key={idx} fetchQuestion = {getUserQueries}/>
                        {idx === queries.length-1 ? <></> : <hr className="mx-3" style={{"opacity":"0.1"}}/>}
                    </div>
                )
            })}
        </div>
    )
}

export default MyQueries;