import React,{useContext} from "react";
import { Link, useHistory } from "react-router-dom";
import { AuthContext } from "../../context/AuthContext";
import FilterPart from "../filter/FilterPart";

const SideBar = () => {
    const history = useHistory();
    let { user } = useContext(AuthContext);

    return (
        <div className="sideMenuBar">
            <div className="row no-gutters mb-3">
                <div className="col-5">
                    <img src={user.profilePicture ? process.env.REACT_APP_BACKEND_URL + user.profilePicture : process.env.REACT_APP_BACKEND_URL + process.env.REACT_APP_ProfileAvathar_Url} className="userDetails"/>
                </div>
                <div className="col-7">
                    <span className="d-block" style={{whiteSpace: "pre-wrap"}}>{user.username}</span>
                    <span className="d-block">{user.designation}</span>
                </div>
            </div>
            <nav className="mainmenu__nav">
                <ul >
                {user.userType === "Guest" ?<li className="drop">
                    <Link to={process.env.PUBLIC_URL + "/home"}>
                        {history.location.pathname === '/home' ? <span style={{"color" : "#212529"}}>Home</span> : <span style={{"color" : "#5D697E","opacity" : "1"}}>Home</span>}            
                    </Link>
                    </li>: <li className="drop">
                    <Link to={process.env.PUBLIC_URL + "/home"}>
                        {history.location.pathname === '/home' ? <span style={{"color" : "#212529"}}>Home</span> : <span style={{"color" : "#5D697E","opacity" : "1"}}>Home</span>}
                    </Link>
                    </li>}
                
                    <li className="drop">
                    <Link to={process.env.PUBLIC_URL + "/community"}>
                        {history.location.pathname === '/community' ? <span style={{"color" : "#212529" }}>Community</span> : <span style={{"color" : "#5D697E","opacity" : "1"}}>Community</span>}
                    </Link>
                    </li>
                    <li className="drop">
                    <Link to={process.env.PUBLIC_URL + "/news"}>
                        {history.location.pathname === '/news' ? <span style={{"color" : "#212529"}}>News</span> : <span style={{"color" : "#5D697E","opacity" : "1"}}>News</span>}
                    </Link>
                    </li>
                    <li className="drop">
                    <Link to={process.env.PUBLIC_URL + "/experts"}>
                        {history.location.pathname === '/experts' ? <span style={{"color" : "#212529"}}>Experts</span> : <span style={{"color" : "#5D697E","opacity" : "1"}}>Experts</span>}
                    </Link>
                    </li>                    
                </ul>
            </nav>
            
        </div>
    );
}

export default SideBar;