import axios from "axios";
import { useState, useEffect, useRef } from "react";
import Switch from 'react-switch';
import React from 'react';


export default function User() {
  const [users, setUsers] = useState([]);
  const fetchUser = async () => {
    var res = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/superusers`);
    setUsers(res.data);
  }
  useEffect(() => {
    fetchUser();
  }, []);

  const [show, setShow] = useState(false);
  const username = useRef();
  const email = useRef();
  const password = useRef();
  const passwordAgain = useRef();


  const handleClose = () => setShow(false);
  const handleShow = () => setShow(true);


  const handleClick = async (e) => {
    e.preventDefault();
    alert("lol");
    if (passwordAgain.current.value !== password.current.value) {
      passwordAgain.current.setCustomValidity("Passwords don't match!");
    } else {
      const user = {
        username: username.current.value,
        email: email.current.value,
        password: password.current.value,
        userType: "free",
        active: true
      };
      try {
        await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/auth/register`, user);
        setShow(false)
        fetchUser();
      } catch (err) {
        console.log(err, "lol");
        setShow(true);
      }
    }
  };

  async function removeUser(email) {
    try {
      var option = {
        params: { "email": email }
      };

      await axios.delete(`${process.env.REACT_APP_BACKEND_URL}/api/superusers`, option).then(function (userData) {
        fetchUser();
      }).catch(function (error) {
        // handle error
        console.error(error);
      })
    } catch (err) {
      console.error(err);
    }
  };

  const handleSwithChange = async (email, active) => {
    //console.log("---------->");

    try {
      var option = {
        "email": email, active: !active
      };

      await axios.put(`${process.env.REACT_APP_BACKEND_URL}/api/superusers/active`, option).then(function (userData) {
        alert("updated successful")
        fetchUser();
      }).catch(function (error) {
        // handle error
        console.error(error);
      })
    } catch (err) {
      console.error(err);
    }


  };

  const renderHeader = () => {
    let headerElement = ["No", "User Name", "Type", "Email","Expert", "Active", "Action"]

    return headerElement.map((key, index) => {
      return <th key={index}>{key.toUpperCase()}</th>
    })
  };

  function renderUserList() {
    if (users.length === 0) {
      return (
        <tr>
          <td> </td>
          <td> </td>
          <td></td>
          <td>No user Found</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
      )
    } else {
      return users.map((userList, index) => {
        return (
          <tr id={userList.email} key={userList.email}  >
            <td>{index + 1}</td>
            <td>{userList.username}</td>
            <td>{userList.userType}</td>
            <td>{userList.email}</td>
            <td>{userList.expert ? 1 : 0}</td>
            <td>
              <Switch
                checked={userList.active}
                onChange={() => handleSwithChange(userList.email, userList.active)}
                inputprops={{ 'aria-label': 'controlled' }}
              />
            </td>
            <td >
              <button className='button' onClick={() => removeUser(userList.email)}>Delete</button>
            </td>
          </tr>
        )
      })
    }


  };


  return (
    <>
      <div>
        {show ? <div className="modelbox2">

          <div className="login2">
            <div className="loginWrapper2">

              <div className="loginRight2">
                <form className="loginBox2" onSubmit={handleClick}>
                  <input
                    placeholder="Username"
                    required
                    ref={username}
                    className="loginInput2"
                  />
                  <input
                    placeholder="Email"
                    required
                    ref={email}
                    className="loginInput2"
                    type="email"
                  />
                  <input
                    placeholder="Password"
                    required
                    ref={password}
                    className="loginInput2"
                    type="password"
                    minLength="6"
                  />
                  <input
                    placeholder="Password Again"
                    required
                    ref={passwordAgain}
                    className="loginInput2"
                    type="password"
                  />
                  <button className="loginButton2" type="submit">
                    Sign Up
                  </button>
                </form>
                <button className="loginButton12 " onClick={handleClose}>
                  Close
                </button>
              </div>
            </div>
          </div>

        </div> : <div>
        <button className="loginButton2 adduserbutton2" onClick={handleShow} type="submit">
        Add User
      </button>
          <h1 id='title'>User List</h1>
          <table id='todolist'>
            <thead>
              <tr>{renderHeader()}</tr>
            </thead>
            <tbody>
              {renderUserList()}
            </tbody>
          </table>
        </div>
        }

      </div>
    </>
  );
}

