import React, { useState, useEffect } from "react";
import { useParams } from "react-router-dom";
import SingleArticle from "../../components/NewsAndArticles/SingleArticle";
import PopularQuestions from "../../components/popularActivity/PopularQuestions";
import axios from "axios";
import CompleteArticle from "../../components/NewsAndArticles/CompleteArticle";
import PopularArticle from "../../components/popularActivity/PopularArticle";
import Ads from "../../components/popularActivity/Ads";

const ArticleDetailsContainer = () => {
    let {articleId} = useParams();
    const [article, setArticle] = useState({});

    const fetchArticle = async () => {
        var res = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/newsandarticles/` + articleId);
        var userData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
        for (var j = 0; j < userData.data.length; j++) {
            if(userData.data[j]._id==res.data.data.userId ){
              if(res.data.data.username == 'Anonymous'){
                res.data.data.profilePicture=res.data.data.userImage;
               break;
              }else{
                res.data.data.profilePicture=userData.data[j].profilePicture;
               break;
              }
            }
         }
        // console.log("-------------------------------->",res.data.data)
        setArticle(res.data.data);
    }
    
    useEffect(() => {
        fetchArticle();
    }, []);
    
    return (
        <div className="row answer_above article_page">
            <div className="col-sm-9">
                {article? <CompleteArticle article={article} fetchArticle={fetchArticle}/>   :<p></p>}                            
            </div>
            <div className="col-sm-3">
                {/* <span className="q_answer_topic">Popular Activity</span> */}
                <div >
                    <PopularQuestions />
                    {/* <Ads /> */}
                </div>
            </div>
        </div>
    );
}

export default ArticleDetailsContainer;