import React, { useEffect, useState } from "react";
import { useParams } from "react-router-dom";
import PopularQuestions from "../../components/popularActivity/PopularQuestions";
import SingleQuestion from "../../components/questions/SingleQuestion";
import axios from "axios";
import SingleAnswer from "../../components/answers/SingleAnswer";
import SolvedUsers from "../../components/answers/SolvedUsers";
import { useHistory } from "react-router-dom";
import { PermDeviceInformationRounded } from "@material-ui/icons";


const AnswersContent = (data) => {
  var data = data;
  const history = useHistory();
  let { questionId } = useParams();
  const [unsolvedAnswers, setUnsolvedAnswers] = useState([]);
  const [question, setQuestion] = useState({});
  const [helpedAnswers, setHelpedAnswers] = useState([]);

  const fetchQuestion = async () => {
    var res = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/question/` + questionId);
    var userData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
    
    console.log("no question--->",res)
    if(res.data[0] === null){
      redirectToCommunity();
    }else {
      for (var j = 0; j < userData.data.length; j++) {
        if (userData.data[j]._id == res.data[0].userId) {
          if (res.data[0].username == 'Anonymous') {
            res.data[0].profilePicture = res.data[0].userImage;
            break;
          } else {
            res.data[0].profilePicture = userData.data[j].profilePicture;
            break;
          }
        }
      }
  
  
      for (var i = 0; i < res.data[1].length; i++) {
        for (var k = 0; k < userData.data.length; k++) {
          if (userData.data[k]._id == res.data[1][i].userId) {
  
            if (res.data[1][i].username == 'Anonymous') {
              res.data[1][i].profilePicture = res.data[1][i].userImage;
              break;
            } else {
              res.data[1][i].profilePicture = userData.data[k].profilePicture;
              break;
            }
          }
        }
      }
      if(res.data.length === 3){
        for (var i = 0; i < res.data[2].length; i++) {
          for (var k = 0; k < userData.data.length; k++) {
            if (userData.data[k]._id == res.data[2][i].userId) {
    
              if (res.data[2][i].username == 'Anonymous') {
                res.data[2][i].profilePicture = res.data[2][i].userImage;
                break;
              } else {
                res.data[2][i].profilePicture = userData.data[k].profilePicture;
                break;
              }
            }
          }
        }
        if(res.data[2].length >= 1){
          var sortedUnsolved = await res.data[2].sort((p1, p2) => {
            return new Date(p2.createdAt) - new Date(p1.createdAt);
          });
          setUnsolvedAnswers(sortedUnsolved);
        }
      }
      
  
      setQuestion(res.data[0]);
      if( res.data[1].length >= 1){
        // var sortedList = [];
        //   for(var i=0;i<res.data[1].length;i++){
        //     if(question.solvedBy[i] === res.data[1][i]._id){
        //       sortedList.push(res.data[1][i]);
        //     }            
        //   }
        // console.log("REsult --->", res.data[1][0]._id)
        var sortedList = await res.data[1].sort((p1, p2) => {
          return new Date(p2.createdAt) - new Date(p1.createdAt);
        });
        setHelpedAnswers(sortedList);
      }      
    }
    
  }


  useEffect(() => {
    fetchQuestion();
  }, []);

  const redirectToCommunity = () => {
    history.push('/community');
  }

  return (
    <>
    {question ? 
    <div className="row answer_above answer_content" >
      <div className="col-md-7 questionPart">
        {/* <span className="q_answer_topic space_left">Community</span> */}
        <div className="question p-3">
          <SingleQuestion question={question} fetchQuestion={fetchQuestion} />
        </div>
        {/* <div>
          {Object.keys(question).length > 0 ? <SolvedUsers solvedUsers={question.solvedBy} /> : <></>}
        </div> */}

        {helpedAnswers.length === 0 ? <></> :
        <div className="container_wrapper" style={{"margin" : "15px"}}>
          <div className="p-3">
            {helpedAnswers.length === 1 ? <span style={{"color":"#6A7791", "fontSize" : "1.1rem","fontFamily" : "RobotoMedium"}}> {helpedAnswers.length} Helpful Answer</span> :
            <span style={{"color":"#6A7791", "fontSize" : "1.1rem","fontFamily" : "RobotoMedium"}}> {helpedAnswers.length} Helpful Answers</span>}
            <svg version="1.1" className="mx-2" width="20px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
              viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlXpace="preserve">
            <path fill="#C1C7D2" d="M60,1.7C27.8,1.7,1.7,27.8,1.7,60s26.1,58.3,58.3,58.3s58.3-26.1,58.3-58.3S92.2,1.7,60,1.7z M64.7,88.2
              c0,2.6-2.1,4.7-4.7,4.7c-2.6,0-4.7-2.1-4.7-4.7V55c0-2.6,2.1-4.7,4.7-4.7c2.6,0,4.7,2.1,4.7,4.7V88.2z M60,40.9L60,40.9
              c-3.3,0-5.9-2.6-5.9-5.9s2.6-5.9,5.9-5.9s5.9,2.6,5.9,5.9S63.3,40.9,60,40.9z"/>
            </svg>
          </div>
          <div>
            {helpedAnswers.length === 0 ? <></> : helpedAnswers.map((h,idx) => {
              return(
                <div>
                  <SingleAnswer answer={h} key={idx} fetchQuestion={fetchQuestion} question = {question} />
                  {idx === helpedAnswers.length-1 ? <></> : <hr className="mx-4" style={{"opacity":"0.1"}}/>}
                </div>                
              )
            })}
          </div>
        </div>}
        {unsolvedAnswers === 0 && helpedAnswers === 0 ? <></> :
        <div className="container_wrapper p-3" style={{"margin" : "15px"}}>
          <div className="popular_heading mx-3 ">
            {unsolvedAnswers.length === 0 ? <p style={{"color" : "#6787C4","fontFamily":"RobotoMedium"}}>Be the first one to answer</p> : unsolvedAnswers.length === 1 ? <p style={{"color" : "#6787C4","fontFamily":"RobotoMedium"}}>{unsolvedAnswers.length} answer</p> : <p style={{"color" : "#6787C4","fontFamily":"RobotoMedium"}}>All {unsolvedAnswers.length} answers</p>}
            
          </div>
          <div className="mt-3">          
            {unsolvedAnswers.length === 0 ? <></> : unsolvedAnswers.map((ua,idx) => {
              return(
                <div>
                    <SingleAnswer answer={ua} key={idx} fetchQuestion={fetchQuestion} question = {question} />
                    {idx === unsolvedAnswers.length-1 ? <></> : <hr className="mx-4" style={{"opacity":"0.1"}}/>}
                </div>              
              )
            })}
          </div>
        </div>}
        {/* <div className="answers_list">
          {answers.length === 0 ?
            <span className="q_answer_topic space_left">No Answers Yet</span> :
            <div>
              {answers.length === 1 ? <span className="q_answer_topic space_left">{answers.length} Answer</span> : <span className="q_answer_topic space_left">{answers.length} Answers</span>}
              {answers.map((ans, index) => {
                return (
                  <SingleAnswer answer={ans} key={index} fetchQuestion={fetchQuestion} question={question} />
                );
              })}
            </div>}
        </div> */}
      </div>
      <div className="col-md-3 popularPart">
        {/* <span className="q_answer_topic">Popular Activity</span> */}
        <div >
          <PopularQuestions fetchData={fetchQuestion} />
        </div>
      </div>
    </div> : {redirectToCommunity}
    }
    </>
  );
};

export default AnswersContent;
