import React, { useState,useEffect,useContext } from "react";
import PopularQuestions from "../../components/popularActivity/PopularQuestions";
import { Link, useHistory } from "react-router-dom";
import axios from "axios";
import ExpertsList from "../../components/profile/ExpertsList";
import { AuthContext } from "../../context/AuthContext";
import Categories from "../../components/filter/Categories";


const areaOfInterest = ["Finance", "Pharmacy", "Accounts", "Administration","Human Resources","Sales & Marketing","Operations",
                        "Entry level guidance","Soft skill development","Digital transformation","Revenue cycle management","CRM","L&D","Legal and Statutory Audit",
                        "Materials and Procurement","Dealing with the new normal","Promoter management","Leadership and entrepreneurial skills","Change management",
                        "Strategy and business development","Innovation and Ideation","Dealing with workplace politics","Image building","Healthcare Market study",
                        "Innovation and Entreupernership","Hospital Design And Planning","M&A - Healthcare","Investment Opportunities","Research Guidance","Medical Services and Administration"];
const ExpertsContainer =  () => {
    const [experts,setExperts] = useState([]);
    const [expertsSearch,setExpertsSearch] = useState([]);
    const [expertSize, setExpertSize] = useState()
    
    const [Skip, setSkip] = useState(0);
    const [paginationExpert, setPaginationExpert] = useState([]);
    const [page, setPage] = useState(0);
    const [rowsPerPage, setRowsPerPage] = useState(10);
    let { user, dispatch } = useContext(AuthContext);
    const [SearchText, setSearchText] = useState("");
    const [Limit, setLimit] = useState(8);
    // const [toggle,setToggle] = useState(false);
    const [selectedValues, setSelectedValues] = useState([]);
    const [Filters, setFilters] = useState({
      sharedTo: [],
      price: []
    });

   
    

    const showFilteredResults = (filters) => {
        // timeRadio(radioToggle,othersData);
        const newFilters = {...Filters};
        console.log("Others------>",filters)
        newFilters.sharedTo= filters;
        if (newFilters.sharedTo.length > 0) {
          const variables = {
            skip: 0,
            limit: Limit,
            filters: newFilters,
            findArgs: {
                experts : true
            }
          }
          getExperts(variables)
          setSkip(0)
        }else{
            fetchExperts();
          console.log("Can't use filter.")
        }
    
    }

    const getExperts = async (variables) => {
        var userData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
        axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/users/getUsersByText`, variables)
            .then(response => {
            if (response.data.success) {
                
                if (variables.loadMore) {
                setExperts([...experts, ...response.data.users]);
                var startPage = page * rowsPerPage;
                var endPage = (page + 1) * rowsPerPage;
                setExpertSize((response.data.users).length);
                setPaginationExpert((response.data.users).slice(startPage, endPage));
                } else {
                setExperts(response.data.users);
                var startPage = page * rowsPerPage;
                var endPage = (page + 1) * rowsPerPage;
                setExpertSize((response.data.users).length);
                setPaginationExpert((response.data.users).slice(startPage, endPage));
                }
            } else {
                alert('Failed to fectch product datas');
            }
            })
        }

    const onChangeSearch = (event) => {
        // debugger;
        // if(history.location.pathname === '/community')
        var searchedExperts = [];
        setSearchText(event.currentTarget.value)
        
            if(event.currentTarget.value !== ""){
                console.log("EV--->",event.currentTarget.value)
                for(let i=0;i<experts.length;i++){
                    if(experts[i].username.toLowerCase().includes(event.currentTarget.value.toLowerCase())){
                        // setQuestions([queries[i]]);
                        searchedExperts.push(experts[i]);
                    }
                }
                setExpertsSearch([...searchedExperts]);
                fetchExperts();
              }
              else {
                  setExpertsSearch(experts);
                  fetchExperts();
              }
        
    }

    const fetchExperts = async () => {
        try {
            var res = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/getExperts`);
            var sortedList = await res.data.sort((p1, p2) => {
              return new Date(p2.createdAt) - new Date(p1.createdAt);
            })
            setExperts(sortedList);
            var startPage =page*rowsPerPage;
            var endPage= (page+1)*rowsPerPage;
            setPage(0);
            setExpertSize(sortedList.length);
            setPaginationExpert(sortedList.slice(startPage,endPage));
          } catch (err) {
            console.log(err)
          }
    }

    const handleChangePage = (event, newPage) => {
        setPage(newPage);
        var startPage =newPage*rowsPerPage;
        var endPage= (newPage+1)*rowsPerPage;
        setExpertSize(experts.length);
        setPaginationExpert(experts.slice(startPage,endPage));
      };
    
      const handleChangeRowsPerPage = (event) => {
        setRowsPerPage(parseInt(event.target.value, 10));
        setPage(0);
        var startPage =page*event.target.value;
        var endPage= (page+1)*event.target.value;
        setExpertSize(experts.length);
        setPaginationExpert(experts.slice(startPage,endPage));
      };

    useEffect(()=>{
        fetchExperts();
    },[]);

    return (
        <div className="row articles_page_container space_above" style={{"display":"flex","flexWrap":"wrap","justifyContent":"center"}}>
            <div className="col-3 " style={{"paddingTop" : "15px","maxWidth" : "315px"}}>
                <div className="container_wrapper" style={{"padding":"15px"}}>
                    <div className=" popular_heading">
                        <p style={{"color" : "#6787C4","fontFamily" : "RobotoRegular"}}>Categories</p>
                    </div>
                    <div className="categoriesExpertsClass">
                        {areaOfInterest.map((a,idx)=>{
                            return (
                                <Categories key={idx} index={idx} label = {a} selectedValues={selectedValues} showFilteredResults = {showFilteredResults} />
                            )
                        })}
                    </div>
                    
                </div>                
            </div>
            <div className="col-6" style={{"maxWidth" : "700px"}}>
                <div className="row no-gutters align-items-center articleshadow article-search-cards article_search articleshadow article-search-cards" style={{"display" : "flex","justifyContent" :"space-between"}}>
                    <div className="col-sm-3">
                        <div className="questionBottomLeft blacktext">                                
                            <div className="question_user" style={{"marginLeft" : "15px"}}>
                                <span className="fontHeader">Find Experts </span>
                                {/* {articles.length === 1 ? <span className="info_size">{articles.length} article</span> : <span className="info_size">{articles.length} article</span>} */}
                                <span className="info_size">{experts.length} Experts</span>
                            </div>
                        </div>
                    </div>
                    <div className="col-sm-4" >
                        <div className="row " style={{"display" : "flex", "alignItems" : "center"}}>
                            <div className="col-9">
                                <input className=" form-control search_bar" type="text" onChange={onChangeSearch}  placeholder="Search" />
                            </div>
                            {/* <div className="col-3" style={{"display" : "flex", "flexDirection" : "row","justifyContent":"flex-end"}} >
                                <svg version="1.1" className="cursor" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                <g id="noun-filter-4405002" transform="translate(54.566 -122.467) rotate(90)">
                                    <path id="Path_552" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M149-38.6v-19.2c0.2-2.1-1.4-3.9-3.4-4
                                        s-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v19.2c-8,2.1-12.8,10.2-10.8,18.2c1.4,5.3,5.5,9.4,10.8,10.8V47c0.2,2.1,2,3.6,4,3.4
                                        c1.8-0.1,3.3-1.6,3.4-3.4V-9.7c8-2.1,12.8-10.2,10.8-18.2C158.5-33.2,154.3-37.3,149-38.6L149-38.6z M145.3-16.7
                                        c-4.1,0-7.5-3.3-7.4-7.5c0-4.1,3.3-7.5,7.5-7.4c4.1,0,7.5,3.3,7.4,7.5c0,2-0.8,3.9-2.2,5.3C149.2-17.4,147.3-16.7,145.3-16.7z"/>
                                    <path id="Path_553" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M223.3-38.6v-19.2c0.2-2.1-1.4-3.9-3.4-4
                                        c-2.1-0.2-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v19.2c-8,2.1-12.8,10.2-10.8,18.2c1.4,5.3,5.5,9.4,10.8,10.8V47c0.2,2.1,2,3.6,4,3.4
                                        c1.8-0.1,3.3-1.6,3.4-3.4V-9.7c8-2.1,12.8-10.2,10.8-18.2C232.8-33.2,228.6-37.3,223.3-38.6L223.3-38.6z M219.6-16.7
                                        c-4.1,0-7.5-3.4-7.5-7.5c0-4.1,3.4-7.5,7.5-7.5c4.1,0,7.5,3.4,7.5,7.5c0,2-0.8,3.9-2.2,5.3C223.5-17.4,221.6-16.7,219.6-16.7
                                        L219.6-16.7z"/>
                                    <path id="Path_554" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M186.5-1.2v-56.6c0.2-2.1-1.4-3.9-3.4-4
                                        c-2.1-0.2-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v56.6C171,0.8,166.2,9,168.3,17c1.4,5.3,5.5,9.4,10.8,10.8V47c-0.2,2.1,1.4,3.9,3.4,4
                                        c2.1,0.2,3.9-1.4,4-3.4c0-0.2,0-0.4,0-0.6V27.8c8-2.1,12.8-10.2,10.8-18.2C195.9,4.3,191.8,0.1,186.5-1.2z M182.8,20.8L182.8,20.8
                                        c-4.1,0-7.5-3.4-7.5-7.5c0-4.1,3.4-7.5,7.5-7.5c4.1,0,7.5,3.4,7.5,7.5c0,2-0.8,3.9-2.2,5.3C186.6,20,184.7,20.8,182.8,20.8z"/>
                                </g>
                                </svg>
                                
                            </div> */}
                            
                        </div>
                    </div>                    
                </div>
                {expertsSearch.length === 0 ? experts.map((e,idx) => {
                    return (
                        <ExpertsList e={e} key={idx} fetchExperts={fetchExperts} />                        
                    )
                }) : expertsSearch.map((e,idx) => {
                    return (
                        <ExpertsList e={e} key={idx} fetchExperts={fetchExperts} />                        
                    )
                })}
            </div>
            <div className="col-3 " style={{"maxWidth" : "315px"}}>                
                <div className="stickLeft">
                <PopularQuestions />                
                </div>                
            </div>
        </div>
    );
}

export default ExpertsContainer;