import PropTypes from "prop-types";
import React, { useEffect, useState, useContext } from "react";
import Logo from "../../components/header/Logo";
import Navigation from "../../components/header/Navigation";
import NavigationForHome from "../../components/header/NavigationForHome";
import { Link, useHistory } from "react-router-dom";
import { AuthContext } from "../../context/AuthContext";
import { Nav, Navbar, Modal,Button, NavDropdown,Tab } from 'react-bootstrap';
import ChangePassword from "../../components/login-register/changePassword";
import { FaHamburger } from "react-icons/fa";
import { Menu } from "@material-ui/icons";
import SideBar from "../../components/questions/SideBar";

const Header = ({ theme }) => {
  const [scroll, setScroll] = useState(0);
  const [headerTop, setHeaderTop] = useState(0);
  const history = useHistory(); 
  let { user } = useContext(AuthContext);
  const [modalShow, setModalShow] = useState(false);
  const [sideToggle, setSideToggle] = useState(false);
  var shortName;

  if (!user) {
    user = {
      userId: 123,
      username: "Guest",
      userType: "Guest"
    }
  }

  const logout = () => {
    localStorage.removeItem("user");
    history.push('/home-one');
    window.location.reload()

  }
  const logIn = () => {
    history.push('/home-one');
  }

  const changePasswordModule = () => {
    setModalShow(true)
  }

  function MyVerticallyCenteredModal(props) {
    return (
      <Modal
        {...props}
        size="lg"
        aria-labelledby="contained-modal-title-vcenter"
        centered
      > 
        <Modal.Header closeButton> 
          <Modal.Title id="contained-modal-title-vcenter">
           Change Password
          </Modal.Title>
        </Modal.Header>
        <Modal.Body>
        <ChangePassword />
        </Modal.Body>
        <Modal.Footer>
          <Button onClick={props.onHide}>Close</Button>
        </Modal.Footer>
      </Modal>
    );
  }

  function ViewProfileModule(){
    history.push('/myprofile/' + user._id);
  }

  const nameValue = () => {
    var n ;
    n = user.username.split(' ');
    console.log("name--->",n)
    if(n.length > 0){
      for (var i=0; i<n.length; i++){
        if(n[i].length >= 2 && !n[i].includes('.')){
          shortName = n[i];
          return shortName;
        }
      }
      return n;      
    }
    else {
      return user.username;
    }
  }

  return (
    <>    
    <header
      className={`dg__header sticky-top header--absolute space-right-left below-navbar py-0 `}
    >
      <div className="container-fluid " >
        
        <div className="row align-items-center no-gutters">
          {scroll > headerTop && theme === "home" ? <> <div className="col-lg-2 col-xl-2 col-6" style={{"display":"flex","alignItems":"center"}}>
            <div className="sideBar cursor" >
              <Menu onClick={()=>{setSideToggle(!sideToggle)}}/>
            </div>            
            <Logo
              image={
                theme === "white" ? "/images/logo/2.png" : "/images/logo/11.jpg"
              }
            />            
          </div>

            <div className="col-lg-7 col-xl-8 d-none d-lg-block">
              <NavigationForHome />
            </div>
          </>
            :
            <> <div className="col-lg-2 col-xl-2 col-6" style={{"display":"flex","alignItems":"center"}}>
              <div className="sideBar cursor" onClick={()=>{setSideToggle(!sideToggle)}}>
                <Menu width="30px"/>
              </div>              
              <Logo
                image={
                  theme === "white" ? "/images/logo/2.png" : "/images/logo/11.jpg"
                }
              />              
            </div>
              <div className="col-lg-7 col-xl-8 d-none d-lg-block ">
              <Navigation />
              </div>
              <div className="col-lg-3 col-xl-2 logout d-none d-lg-flex" style={{"justifyContent" : "flex-end"}}>
                {user.userType === "Guest" ?
                  <span className="cursor drop logout" onClick={logIn}>LogIn</span> : <>
                    {/* <Link to={process.env.PUBLIC_URL + "/notifications"}>
                      <svg version="1.1" className="mx-2" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enableBackground="new 0 0 120 120" xmlSpace="preserve">
                        <g id="Icon_ionic-ios-notifications" transform="translate(-6.761 -3.93)">
                          <path id="Path_107" fill="#3d504d" d="M66.7,120.3c6.9,0.2,12.7-5.3,12.9-12.2c0-0.6,0-1.3-0.1-1.9H53.8c-0.9,6.9,4,13.2,10.9,14
                            C65.4,120.3,66,120.3,66.7,120.3z"/>
                          <path id="Path_108" fill="#3d504d" d="M110.7,92c-4.3-5.8-12.9-9.2-12.9-35.1c0-26.6-11.6-37.3-22.4-39.8c-1-0.3-1.7-0.6-1.7-1.7
                            v-0.9c0.1-3.8-2.9-7-6.7-7.1c-3.8-0.1-7,2.9-7.1,6.7c0,0.1,0,0.3,0,0.4v0.8c0,1.1-0.7,1.4-1.7,1.7C47.3,19.7,35.7,30.4,35.7,57
                            c0,25.9-8.5,29.2-12.9,35.1c-1.9,2.5-1.4,6,1.1,7.9c1,0.7,2.1,1.1,3.4,1.1h78.9c3.1,0,5.6-2.6,5.6-5.7
                            C111.8,94.1,111.4,93,110.7,92z"/>
                        </g>
                      </svg>
                    </Link> */}
                    <div className="d-flex">
                      <span style={{"color": "#3d504d"}}>Hi! </span>
                      <span className="mx-2" style={{"fontWeight":"bolder", "color":"#537668","display":"flex"}}>{nameValue()}</span>
                    </div>                  
                    <Navbar className="navprofile" variant="dark" expand="lg">
                      <Navbar.Toggle aria-controls="navbar-dark-example" />
                      <Navbar.Collapse id="navbar-dark-example">
                        <Nav> 
                          <NavDropdown 
                          eventKey={1} 
                          title={
                              <div className="pull-left d-flex">
                                  {user.profilePicture? <img className="headerImageProfile mx-2" src={process.env.REACT_APP_BACKEND_URL + user.profilePicture} alt="chart images"></img>:<img className="mx-2" style={{height:"37px",width:"41px",borderRadius:"50%"}} src={process.env.PUBLIC_URL + "/images/profile/avatar.jpg"} alt="chart images"></img>}
                              </div>
                          }                
                            id="nav-dropdown-dark-example"
                            alignRight
                          >
                            <NavDropdown.Item  onClick={ViewProfileModule} >
                              <div className="row no-gutters mb-3">
                                <div className="col-3">
                                  <img src={user.profilePicture ? process.env.REACT_APP_BACKEND_URL + user.profilePicture : process.env.REACT_APP_BACKEND_URL + process.env.REACT_APP_ProfileAvathar_Url} className="userDetails"/>
                                </div>
                                <div className="col-7 ml-2">
                                  <span className="d-block" style={{whiteSpace: "pre-wrap"}}>{user.username}</span>
                                  <span className="d-block">{user.designation}</span>
                                </div>
                              </div>View Profile
                            </NavDropdown.Item>
                            <NavDropdown.Divider />
                            <NavDropdown.Item onClick={changePasswordModule}>Change Password</NavDropdown.Item>
                            <NavDropdown.Item onClick={logout}>Logout</NavDropdown.Item>
                          </NavDropdown>
                        </Nav>
                      </Navbar.Collapse>
                    </Navbar>
                    
                    {/* <span className="cursor drop logout" onClick={logout}>Logout</span> */}
                    </>
                }
                <MyVerticallyCenteredModal
                  show={modalShow}
                  onHide={() => setModalShow(false)}
                />
              </div>
            </>}
        </div>
      </div>
    </header>
    {sideToggle ? <SideBar/> : <></>}
    </>
  );
};

Header.propTypes = {
  theme: PropTypes.string
};

export default Header;
