import React,{useState, useEffect, useContext} from "react";
import AddArticle from "../../components/NewsAndArticles/AddArticle";
import TablePagination from '@mui/material/TablePagination';
import PopularQuestions from "../../components/popularActivity/PopularQuestions";
import NewspaperIcon from '@mui/icons-material/Newspaper';
import Banner from "../../components/banner/Banner";
import BusinessCenterIcon from '@mui/icons-material/BusinessCenter';
import AddPost from "../../components/feed/AddPost";
import axios from "axios";
import SingleArticle from "../../components/NewsAndArticles/SingleArticle";
import SingleQuestion from "../../components/questions/SingleQuestion";
import SinglePost from "../../components/feed/SinglePost";
import ProfileInfo from "../../components/feed/ProfileInfo";
import Ads from "../../components/popularActivity/Ads";
import PopularArticle from "../../components/popularActivity/PopularArticle";
import { AuthContext } from "../../context/AuthContext";

const HomeContainer = () => {
    const [posts, setPosts] = useState([]);
    const [articles, setArticles] = useState([]);
    const [questions, setQuestions] = useState([]);
    const [feed, setFeed] = useState([]);
    let {user} = useContext(AuthContext);
    var sortedFeed =[];

    const getFeedData = async () => {
        
        var res = await axios.post(`${process.env.REACT_APP_BACKEND_URL}/api/feed/getFeedData`);
        
        var userData = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/users/users`);
        // console.log("---------UserData----", userData.data[0]._id, res.data[0].userId);
        
        for (var i = 0; i < res.data.length; i++) {
            for (var j = 0; j < userData.data.length; j++) {
               if(userData.data[j]._id==res.data[i].userId ){
                 if(res.data[i].username == 'Anonymous'){
                  res.data[i].profilePicture=res.data[i].userImage;
                  break;
                 }else{
                  res.data[i].profilePicture=userData.data[j].profilePicture;
                  break;
                 }
               }
            }
          }
        sortedFeed= res.data.sort((p1, p2) => {
            return new Date(p2.createdAt) - new Date(p1.createdAt);
        });
        setFeed(sortedFeed);
        
    }
    useEffect(()=>{
        getFeedData();
    },[]);

    // function feedControl () {
    //     console.log("kkkkk");
    //     return (
    //         <span>Helllo</span>
    //     )
    //     for(let i =0; i<feed.length; i++){
    //         if(feed[i].type === "post"){
    //             return (
    //                 <SinglePost />
    //             );
    //         }
    //         else if(feed[i].type === "article"){
    //             return (
    //                 <SingleArticle article = {feed[i]}/>
    //             );
    //         }
    //         else {
    //             return (
    //                 <SingleQuestion question = {feed[i]}/>
    //             );
    //         }
    //     }
    // }
    return (
        <div>
            <div className="space_above">
                {/* <Banner /> */}
            </div>
            <div className="row articles_page_container" style={{"paddingTop" : "10px"}}>
                <div className="col-3 mt-3 filterPart " style={{"maxWidth" : "315px"}}>
                    <div className="stickLeft">
                    <ProfileInfo />
                    {/* <Ads /> */}
                    </div>
                    
                </div>
                <div className="col-6 questionPart" style={{"maxWidth" : "700px"}}>
                    {/* <span className="forum_title">News and Articles</span> */}
                    <div className="row no-gutters d-flex align-items-center articleshadow article-search-cards article_search articleshadow article-search-cards">
                        <div className="col-sm-12">
                            <div className="questionBottomLeft blacktext">
                                <svg version="1.1" id="Layer_1" width="30px" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                        viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                                    <g>
                                        <g id="noun-greeting-card-2574973" transform="translate(-100.544 -21.508)">
                                            <path id="Path_659" fill="#07BEB8" d="M128,59.5c0,1.1-0.9,1.9-1.9,1.9s-1.9-0.9-1.9-1.9c0-1.1,0.9-1.9,1.9-1.9c0,0,0,0,0,0
                                                C127.2,57.6,128,58.5,128,59.5z"/>
                                            <path id="Path_660" fill="#07BEB8" d="M126.1,119.8c0,1.1-0.9,1.9-1.9,1.9c-1.1,0-1.9-0.9-1.9-1.9c0-1.1,0.9-1.9,1.9-1.9
                                                S126.1,118.7,126.1,119.8L126.1,119.8z"/>
                                            <path id="Path_661" fill="#07BEB8" d="M114.6,69.1c0,1.1-0.9,1.9-1.9,1.9s-1.9-0.9-1.9-1.9c0-1.1,0.9-1.9,1.9-1.9l0,0
                                                C113.8,67.2,114.6,68,114.6,69.1z"/>
                                            <path id="Path_662" fill="#07BEB8" d="M126.1,34.7c-1.1,0-1.9,0.8-1.9,1.9c0,0.5,0.2,1,0.6,1.4l1.4,1.4c0.7,0.8,1.9,0.8,2.7,0.1
                                                c0.8-0.7,0.8-1.9,0.1-2.7c0,0,0,0-0.1-0.1l-1.4-1.4l0,0C127.1,34.9,126.6,34.7,126.1,34.7z"/>
                                            <path id="Path_663" fill="#07BEB8" d="M133.2,41.8c-1.1,0-1.9,0.9-1.9,1.9c0,0.5,0.2,1,0.6,1.3l1.4,1.4c0.7,0.8,1.9,0.9,2.7,0.2
                                                c0.8-0.7,0.9-1.9,0.2-2.7c-0.1-0.1-0.1-0.2-0.2-0.2l-1.4-1.4C134.2,42,133.7,41.8,133.2,41.8L133.2,41.8z"/>
                                            <path id="Path_664" fill="#07BEB8" d="M127.5,41.8c-0.5,0-1,0.2-1.3,0.6l-1.4,1.4c-0.8,0.7-0.8,1.9-0.1,2.7
                                                c0.7,0.8,1.9,0.8,2.7,0.1c0,0,0,0,0.1-0.1l1.4-1.4c0.8-0.7,0.8-2,0-2.7C128.6,42,128,41.8,127.5,41.8L127.5,41.8z"/>
                                            <path id="Path_665" fill="#07BEB8" d="M134.6,34.7c-0.5,0-1,0.2-1.3,0.6l-1.4,1.4c-0.7,0.8-0.7,2,0.1,2.7c0.7,0.7,1.9,0.7,2.6,0
                                                L136,38l0,0c0.8-0.7,0.8-1.9,0.1-2.7C135.7,34.9,135.2,34.6,134.6,34.7L134.6,34.7z"/>
                                            <path id="Path_666" fill="#07BEB8" d="M116.5,98.7c-1.1,0-1.9,0.9-1.9,1.9c0,0,0,0,0,0v1.9l0,0c0,1.1,0.9,1.9,1.9,1.9
                                                c1.1,0,1.9-0.9,1.9-1.9v-1.9l0,0C118.5,99.6,117.7,98.7,116.5,98.7C116.6,98.7,116.6,98.7,116.5,98.7L116.5,98.7z"/>
                                            <path id="Path_667" fill="#07BEB8" d="M116.5,108.2c-1.1,0-1.9,0.9-1.9,1.9c0,0,0,0,0,0v1.9c0,1.1,0.9,1.9,1.9,1.9
                                                c1.1,0,1.9-0.9,1.9-1.9v-1.9C118.5,109.1,117.7,108.2,116.5,108.2C116.6,108.2,116.6,108.2,116.5,108.2L116.5,108.2z"/>
                                            <path id="Path_668" fill="#07BEB8" d="M110.7,104.5c-1,0.1-1.8,1.1-1.7,2.1c0.1,0.9,0.9,1.7,1.9,1.7h1.9c1.1,0.1,2-0.7,2.1-1.7
                                                c0.1-1.1-0.7-2-1.7-2.1c-0.1,0-0.2,0-0.3,0h-1.9C110.8,104.5,110.7,104.5,110.7,104.5z"/>
                                            <path id="Path_669" fill="#07BEB8" d="M120.2,104.5c-1,0.1-1.8,1.1-1.7,2.1c0.1,0.9,0.9,1.7,1.9,1.7h1.9c1.1,0.1,2-0.7,2.1-1.7
                                                c0.1-1.1-0.7-2-1.7-2.1c-0.1,0-0.2,0-0.3,0h-1.9C120.3,104.5,120.2,104.5,120.2,104.5z"/>
                                            <path id="Path_670" fill="#07BEB8" d="M133.6,60.5c-1,0.1-1.7,0.9-1.7,1.9V135c0,1.1,0.8,1.9,1.9,1.9h63.1c5.3,0,9.5-4.3,9.5-9.6
                                                c-0.2-17.1-0.1-40.9,0-57.3l0,0v0c0-5.3-4.3-9.5-9.5-9.5h-63.1C133.7,60.5,133.6,60.5,133.6,60.5L133.6,60.5z M135.7,64.3h61.2
                                                c3.1,0,5.7,2.5,5.7,5.6c0,0,0,0.1,0,0.1c-0.1,16.4-0.2,40.2,0,57.4c0,3.1-2.5,5.7-5.7,5.7c0,0,0,0-0.1,0h-61.2L135.7,64.3z"/>
                                            <path id="Path_671" fill="#07BEB8" d="M189,45.2c-0.1,0-0.2,0-0.3,0.1l-55.5,15.3l1,3.7l53-14.6v12.8h3.8V47.1
                                                c0-1.1-0.8-1.9-1.9-1.9C189.1,45.2,189,45.2,189,45.2L189,45.2z"/>
                                            <path id="Path_672" fill="#07BEB8" d="M206.2,29.9c-1,0.1-1.7,1-1.7,1.9v1.9l0,0c-0.1,1.1,0.7,2,1.7,2.1c1.1,0.1,2-0.7,2.1-1.7
                                                c0-0.1,0-0.2,0-0.3v-1.9l0,0c0-1.1-0.8-1.9-1.9-2C206.4,29.9,206.3,29.9,206.2,29.9L206.2,29.9z"/>
                                            <path id="Path_673" fill="#07BEB8" d="M206.2,39.4c-1,0.1-1.7,1-1.7,1.9v1.9l0,0c-0.1,1.1,0.7,2,1.7,2.1c1.1,0.1,2-0.7,2.1-1.7
                                                c0-0.1,0-0.2,0-0.3v-1.9l0,0c0-1.1-0.8-1.9-1.9-2C206.4,39.4,206.3,39.4,206.2,39.4z"/>
                                            <path id="Path_674" fill="#07BEB8" d="M200.5,35.6c-1.1,0.1-1.9,1-1.8,2c0.1,1.1,1,1.9,2,1.8l0,0h1.9c1.1,0,1.9-0.9,1.9-1.9
                                                c0-1.1-0.9-1.9-1.9-1.9h-1.9C200.6,35.6,200.6,35.6,200.5,35.6z"/>
                                            <path id="Path_675" fill="#07BEB8" d="M210,35.6c-1.1,0.1-1.9,1-1.8,2c0.1,1.1,1,1.9,2,1.8l0,0h1.9c1.1,0,1.9-0.9,1.9-1.9
                                                c0-1.1-0.9-1.9-1.9-1.9h-1.9C210.2,35.6,210.1,35.6,210,35.6z"/>
                                            <path id="Path_676" fill="#07BEB8" d="M194.9,28c0,1.1-0.9,1.9-1.9,1.9s-1.9-0.9-1.9-1.9c0-1.1,0.9-1.9,1.9-1.9
                                                C194.1,26.1,194.9,26.9,194.9,28C194.9,28,194.9,28,194.9,28z"/>
                                            <path id="Path_677" fill="#07BEB8" d="M210.2,54.7c0,1.1-0.9,1.9-1.9,1.9c-1.1,0-1.9-0.9-1.9-1.9c0-1.1,0.9-1.9,1.9-1.9
                                                c0.5,0,1,0.2,1.4,0.6C210,53.7,210.2,54.2,210.2,54.7z"/>
                                            <path id="Path_678" fill="#07BEB8" d="M158.6,104.6c-1.1,0.1-1.8,1.1-1.7,2.1c0,0.4,0.2,0.9,0.6,1.2l10.3,10.3
                                                c0.7,0.7,2,0.8,2.7,0c0,0,0,0,0,0l10.3-10.3c0.8-0.7,0.8-1.9,0.1-2.7c-0.7-0.8-1.9-0.8-2.7-0.1c0,0,0,0-0.1,0.1l-8.9,8.9l-8.9-8.9
                                                C159.8,104.7,159.2,104.5,158.6,104.6L158.6,104.6z"/>
                                            <path id="Path_679" fill="#07BEB8" d="M153.8,78.8c-3-0.1-5.6,2.2-5.7,5.2c-0.1,1.1,0.7,2,1.7,2.1c1.1,0.1,2-0.7,2.1-1.7
                                                c0-0.1,0-0.2,0-0.3c0-0.7,0.7-1.4,1.9-1.4s1.9,0.7,1.9,1.4c-0.1,1.1,0.7,2,1.7,2.1c1.1,0.1,2-0.7,2.1-1.7c0-0.1,0-0.2,0-0.3
                                                C159.4,81,156.9,78.6,153.8,78.8z"/>
                                            <path id="Path_680" fill="#07BEB8" d="M184.4,78.8c-3-0.1-5.6,2.2-5.7,5.2c-0.1,1.1,0.7,2,1.7,2.1c1.1,0.1,2-0.7,2.1-1.7
                                                c0-0.1,0-0.2,0-0.3c0-0.7,0.7-1.4,1.9-1.4s1.9,0.7,1.9,1.4c-0.1,1.1,0.7,2,1.7,2.1c1.1,0.1,2-0.7,2.1-1.7c0-0.1,0-0.2,0-0.3
                                                C190,81,187.5,78.6,184.4,78.8z"/>
                                        </g>
                                        <circle id="Ellipse_479" opacity="8.000000e-02" fill="#07BEB8" cx="51.9" cy="54" r="45.4"/>
                                    </g>
                                </svg>
                                {/* <BusinessCenterIcon fontSize="large" color="#07beb8"/> */}
                                <div className="question_user">
                                <span className="fontHeader p-2" style={{"color" : "#07beb8"}}>Have a Great Day !</span>
                                <span className="" style={{"fontSize":"1rem","fontFamily":"RobotoMedium","color":"#3C4453"}}>{user.username}</span>
                                {/* <span className="info_size">124 Latest Feeds</span> */}
                                </div>
                            </div>
                        </div>
                        {/* <div className="col-sm-9" style={{"padding": "5px"}}>
                            Have a Great Day
                            <span className="like_count" style={{"display" : "flex"}}>{user.username}</span>
                        </div> */}
                        
                    </div>   
                    <div className="d-flex align-items-center articleshadow article-search-cards">                        
                        <AddPost fetchData={getFeedData}/>                        
                    </div>                 
                    <div>
                        {feed.length === 0 ? <p>No data</p> : 
                        feed.map((f,idx) => {
                            if(f.type === "post"){
                                return (
                                    <div className="container_wrapper p-3 m-3">
                                        <SinglePost post={f} fetchData={getFeedData}/>
                                    </div>
                                )
                            }
                            else if(f.type === "question"){
                                return (
                                    <div className="question px-3 py-2">
                                        <SingleQuestion question={f} fetchData={getFeedData}/>
                                    </div>
                                )
                            }
                            else if(f.type === "article"){
                                return (
                                    <div className="mb-2 row p-3 " style={{"margin":"15px", "boxShadow":"0 6px 18px rgb(0 0 0 / 5%)","backgroundColor":"white","justifyContent":"space-around","borderRadius":"10px"}}>
                                        <SingleArticle article={f} />
                                    </div>
                                )
                            }
                            else {
                                return (
                                    <p>Wrong Data</p>
                                )
                            }
                        })}                      
                    </div>
                </div>
                <div className="col-3 popularPart">
                    {/* <span className="forum_title">Popular Activities</span> */}
                    <div className="stickLeft" style={{"maxWidth" : "315px"}}>
                    <PopularQuestions />
                    {/* <PopularArticle /> */}
                    </div>
                    
                </div>
            </div>
        </div>
    );
}

export default HomeContainer;