import React, { useState } from "react";
import NewQuestion from "../../components/questions/NewQuestion";
import QuestionsList from "../../components/questions/QuestionsList";
import {  Group } from "@material-ui/icons";

 const QuestionsContainer = (props) => {

  const [SearchQuestion, setSearchQuestion] = useState("");
  const [Skip, setSkip] = useState(0);
  const [Limit, setLimit] = useState(8);
  const [Filters, setFilters] = useState({
    continents: [],
    price: []
  });

  const onChangeSearch = (event) => {
    // debugger;
    setSearchQuestion(event.currentTarget.value)
    if ((event.currentTarget.value.length) > 0) {
      updateSearchTerms(event.currentTarget.value)
    } else {
      props.fetchData();
    }
  }

  const updateSearchTerms = (newSearchTerm) => {
    const variables = {
      skip: Skip,
      limit: Limit,
      filters: Filters,
      searchQuestion: newSearchTerm
    }
    setSkip(0)
    props.getQuestions(variables)
  }

  return (
    <div className="question_wrapper">
      <div className="row forum_search question-search-cards">
        <div className="col-sm-3">
          <div className="questionBottomLeft blacktext">
            <div className="question_user">
              <span className="blacktext p-2">Community</span>
              <span className="info_size px-2">{props.questions.length} Discussions</span>
            </div>
          </div>
        </div>
        <div className="col-sm-9">
        <NewQuestion fetchData={props.fetchData} />
        </div>
      </div>
      {/* <div>
        <NewQuestion fetchData={props.fetchData} />
      </div> */}
      <div>
        <QuestionsList questions={props.questions}  getQuestions={props.getQuestions} fetchData={props.fetchData} />
      </div>
    </div>
  );
};

export default QuestionsContainer;
