const AuthReducer = (state, action) => {
    switch (action.type) {
      case "LOGIN_START":
        return {
          user: null,
          token: null,
          isFetching: true,
          error: false,
        };
      case "LOGIN_SUCCESS":

        return {
          user: action.payload,
          token : localStorage.getItem("accessToken"),
          isFetching: false,
          error: false,
          logg:console.log(action.payload,"action.payload")
        };
       
      case "LOGIN_FAILURE":
        return {
          user: null,
          token: null,
          isFetching: false,
          error: true,
        };
      case "FOLLOW":
        return {
          ...state,
          user: {
            ...state.user,
            followings: [...state.user.followings, action.payload],
          },
        };
      case "UNFOLLOW":
        return {
          ...state,
          user: {
            ...state.user,
            followings: state.user.followings.filter(
              (following) => following !== action.payload
            ),
          },
        };
        case "INTEREST":
        return {
          ...state,
          user: {
            ...state.user,
            interests:  action.payload,
          },
        };
        case "UPDATE":
        return {
          ...state,          
          user: action.payload,
        };
      default:
        return state;
    }
  };
  
  export default AuthReducer;
  