import PropTypes from "prop-types";
import React, { Fragment } from "react";
import Header from "../containers/headers/Header";
import Footer from "../containers/footers/Footer";
import BrandLogo from "../containers/brand-logos/BrandLogo";
import Newsletter from "../components/newsletters/Newsletter";
// import Newsletter from "/images//scss/img/";
import Login from "../components/login-register/login";
import Register from "../components/login-register/register";
import "../assets/scss/stylelanding.scss";
import "../assets/scss/libraries.scss";
import { useState } from "react";
import ForgotPassword from "../components/login-register/forgotPassword";
import ChangePassword from "../components/login-register/changePassword";


const LayoutOne = ({ children, changePwd }) => {
  const [chooselogin, setToggleLogin] = useState('');
  const [chooseTestimonial1, setTestimonial1] = useState(true);
  const [chooseTestimonial2, setTestimonial2] = useState(false);
  const [chooseTestimonial3, setTestimonial3] = useState(false);
  let loginbutton;
  let toggleLoginfun=()=>{
    return setToggleLogin("Login")
   }
   let toggleLoginfunreg=()=>{
    return setToggleLogin("Register")
   }
   let toggleForgot=(val)=>{
    return setToggleLogin(val)
   }

  if (chooselogin === "Login") {
    loginbutton = <Login toggleForgot={toggleForgot}/>
  } else if(chooselogin === "Register") {
    loginbutton = <Register/>
  } else if(chooselogin === "Forgot") {
    loginbutton = <ForgotPassword />
  } else if(changePwd === "Change Password") {
    loginbutton = <ChangePassword />
  }
  else {
    loginbutton = <Login toggleForgot={toggleForgot}/>
  }

  let toggleTesti1=()=>{
    setTestimonial2(false)
    setTestimonial3(false)
    return setTestimonial1(true)
   }
   let toggleTesti2=()=>{
    setTestimonial1(false)
    setTestimonial3(false)
    return setTestimonial2(true)
   }
   let toggleTesti3=()=>{
    setTestimonial2(false)
    setTestimonial1(false)
    return setTestimonial3(true)
   }
 
  return (
    <Fragment>
      {/* <Header theme="home"/> */}
       
      {/* <BrandLogo />
      <Newsletter />
      <Footer /> */}
    <div className="wrapper">
    <header className="header header-layout2">
          <nav className="navbar navbar-expand-lg sticky-navbar">
            <div className="container-fluid">
              <a className="navbar-brand" href="index.html">
                {/* <img src="/images/img/logo/logo-light.png" class="logo-light" alt="logo"> */}
                <img src="/images/logo.png" className="logo-dark" alt="logo" />
              </a>
              <button className="navbar-toggler" type="button">
                <span className="menu-lines"><span /></span>
              </button>
              <div className="collapse navbar-collapse" id="mainNavigation">
                <ul className="nav navbar-nav ml-auto">
                  <li className="nav__item">
                    <a href="#home" className="nav__item-link">Home</a>
                  </li>
                  <li className="nav__item">
                    <a href="#about" className="nav__item-link">About Us</a>
                  </li>
                  <li className="nav__item">
                    <a href="#blog" className="nav__item-link">Blog</a>
                  </li>
                  <li className="nav__item">
                    <a href="#footer1" className="nav__item-link">Contacts</a>
                  </li>{/* /.nav-item */}
                </ul>{/* /.navbar-nav */}
                <button className="close-mobile-menu d-block d-lg-none"><i className="fas fa-times" /></button>
              </div>{/* /.navbar-collapse */}
              <button className="action__btn-search ml-30"><i className="fa fa-search" /></button>
              <div className="d-none d-xl-flex align-items-center position-relative ml-0">
                <ul id="miniPopup-departments" className="miniPopup miniPopup-departments dropdown-menu">
                  <li className="nav__item">
                    <a href="department-single.html" className="nav__item-link">Neurology Clinic</a>
                  </li>{/* /.nav-item */}
                  <li className="nav__item">
                    <a href="department-single.html" className="nav__item-link">Cardiology Clinic</a>
                  </li>{/* /.nav-item */}
                  <li className="nav__item">
                    <a href="department-single.html" className="nav__item-link">Pathology Clinic</a>
                  </li>{/* /.nav-item */}
                  <li className="nav__item">
                    <a href="department-single.html" className="nav__item-link">Laboratory Clinic</a>
                  </li>{/* /.nav-item */}
                  <li className="nav__item">
                    <a href="department-single.html" className="nav__item-link">Pediatric Clinic</a>
                  </li>{/* /.nav-item */}
                  <li className="nav__item">
                    <a href="department-single.html" className="nav__item-link">Cardiac Clinic</a>
                  </li>{/* /.nav-item */}
                </ul> {/* /.miniPopup-departments */}
                <a href="#contact" className="btn loginButtonColors rounded-pill ml-30">
                  {/* <i class="icon-calendar"></i> */}
                  <span>Sign Up</span>
                </a>
              </div>
            </div>{/* /.container */}
          </nav>{/* /.navabr */}
        </header>{/* /.Header */}
      {children}
      
      <section id="home" className="slider">
        <div className="slick-carousel m-slides-0 slick-initialized slick-slider" data-slick="{&quot;slidesToShow&quot;: 1, &quot;arrows&quot;: true, &quot;dots&quot;: false, &quot;speed&quot;: 700,&quot;fade&quot;: true,&quot;cssEase&quot;: &quot;linear&quot;}"><button className="slick-prev slick-arrow" aria-label="Previous" type="button" style={{}}>Previous</button>
          <div className="slick-list draggable"><div className="slick-track" style={{opacity: 1}}><div className="slide-item align-v-h bg-img slick-slide slick-current slick-active" data-slick-index={0} style={{backgroundImage: 'url("images/img/Sliders.png")', backgroundSize: 'cover', backgroundPosition: 'center center', width: '100%', position: 'relative', left: '0px', top: '0px', zIndex: 999, opacity: 1}} aria-hidden="false" tabIndex={0}>
                <div className="container">
                  <div className="row align-items-center">
                    <div className="col-sm-12 col-md-12 col-lg-12 col-xl-7">
                      <div className="slide__content">
                        <h2 className="slide__title">Better <span style={{color: '#21CDC0'}}>You</span>, Better Workplace, Better World.</h2>
                        <p className="slide__desc">  A friendly platform to seek and share knowledge with the right people giving the right advice.</p>
                        <div className="d-flex flex-wrap align-items-center">
                          <a href="#contact" className="btn loginButtonColors rounded-pill mr-30" tabIndex={0} onClick={toggleLoginfun}>
                            <span>Login</span>
                            <i className="fas fa-arrow-right" style={{color: 'white'}} />
                          </a>
                          <a href="#contact" className="btn btn__white rounded-pill" tabIndex={0}>
                            <span>Sign Up</span>
                            <i className="fas fa-arrow-right" style={{color: 'white'}} />
                          </a>
                        </div>
                      </div>{/* /.slide-content */}
                    </div>{/* /.col-xl-7 */}
                  </div>{/* /.row */}
                </div>{/* /.container */}
              </div>
              </div></div>{/* /.slide-item */}
          {/* /.slide-item */}
          <button className="slick-next slick-arrow" aria-label="Next" type="button" style={{}}>Next</button></div>{/* /.carousel */}
      </section>
        {/* ========================
      About Layout 1
    =========================== */}
        <section id="about" className="about-layout1 pb-0">
          <div className="container">
            <div className="row">
              <div className="col-sm-12 col-md-12 col-lg-6">
                <div className="heading-layout2">
                  <h3 className="heading__title mb-40">Gain access to the largest healthcare community and gather insight from the industry's brightest.</h3>
                </div>{/* /heading */}
              </div>{/* /.col-12 */}
            </div>{/* /.row */}
            <div className="row">
              <div className="col-sm-12 col-md-12 col-lg-6">
                <div className="about__Text">
                  <p className="mb-30">The BoardRoom is an AI-driven solution that helps its users to seek, find and share knowledge &amp; get answers from credible authorities on any business topic in healthcare. It has a broad and deep pool of global experts across domains and geographies.
                  </p>
                  <p className="mb-30">The BoardRoom will connect you to a global network of healthcare industry professionals for live conversations and discussions. Seasoned professionals can nurture upcoming talent and build your image with stunning content with the help of our tools and resources. </p>
                  <div className="d-flex align-items-center mb-30">
                    <a href="doctors-grid.html" className="btn loginButtonColors btn__outlined rounded-pill mr-30">
                      Join the community</a>
                  </div>
                </div>
              </div>{/* /.col-lg-6 */}
              <div className="col-sm-12 col-md-12 col-lg-6">
                <div className="video-banner">
                  <img src="/images/img/About.jpg" alt="about" />
                  {/* <a class="video__btn video__btn-white popup-video" href="https://www.youtube.com/watch?v=nrJtHemSPW4">
                <div class="video__player">
                  <i class="fa fa-play"></i>
                </div>
              </a> */}
                </div>{/* /.video-banner */}
              </div>{/* /.col-lg-6 */}
            </div>{/* /.row */}
          </div>{/* /.container */}
        </section>{/* /.About Layout 1 */}
        {/* ======================
    Features Layout 1
    ========================= */}
        <section className="features-layout1 pt-130 pb-50 mt--90">
          {/* <div className="bg-img"><img src="/images/img/backgrounds/1.jpg" alt="background" /></div> */}
          <div className="container">
            <div className="row mb-40">
              <div className="col-sm-12 col-md-12 col-lg-5">
                <div className="heading__layout2">
                  <h3 className="heading__title">Share, Seek &amp; Collaborate.</h3>
                </div>
              </div>{/* /col-lg-5 */}
              <div className="col-sm-12 col-md-12 col-lg-5 offset-lg-1">
                <p className="heading__desc font-weight-bold"> BoardRoom is constantly being updated to help you stay well-informed on everything that is happening in the healthcare industry ranging from research articles, mentorship programs, job offers to product launches.
                </p>
              </div>{/* /.col-lg-6 */}
            </div>{/* /.row */}
            <div className="row">
              {/* Feature item #1 */}
              <div className="col-sm-6 col-md-6 col-lg-3">
                <div className="feature-item">
                  <div className="feature__content">
                    <div className="feature__icon">
                      {/* <i class="icon-heart"></i>
                  <i class="icon-heart feature__overlay-icon"></i> */}
                      <img src="/images/img/Icons1.png" style={{width: '70px'}} />
                    </div>
                    <h4 className="feature__title">Healthcare Management Consultations</h4>
                  </div>{/* /.feature__content */}
                  <a href="#" className="btn__link">
                    <i className="fa fa-arrow-circle-right" style={{fontSize: '200%'}} />
                  </a>
                </div>{/* /.feature-item */}
              </div>{/* /.col-lg-3 */}
              {/* Feature item #2 */}
              <div className="col-sm-6 col-md-6 col-lg-3">
                <div className="feature-item">
                  <div className="feature__content">
                    <div className="feature__icon">
                      {/* <i class="icon-doctor"></i>
                  <i class="icon-doctor feature__overlay-icon"></i> */}
                      <img src="/images/img/Icons2.png" style={{width: '70px'}} />
                    </div>
                    <h4 className="feature__title">Information on Best Healthcare Practices </h4>
                  </div>{/* /.feature__content */}
                  <a href="#" className="btn__link">
                    <i className="fa fa-arrow-circle-right" style={{fontSize: '200%'}} />
                  </a>
                </div>{/* /.feature-item */}
              </div>{/* /.col-lg-3 */}
              {/* Feature item #3 */}
              <div className="col-sm-6 col-md-6 col-lg-3">
                <div className="feature-item">
                  <div className="feature__content">
                    <div className="feature__icon">
                      {/* <i class="icon-ambulance"></i>
                  <i class="icon-ambulance feature__overlay-icon"></i> */}
                      <img src="/images/img/Icons3.png" style={{width: '70px'}} />
                    </div>
                    <h4 className="feature__title">Entry level guidance&amp;Soft skill development</h4>
                  </div>{/* /.feature__content */}
                  <a href="#" className="btn__link">
                    <i className="fa fa-arrow-circle-right" style={{fontSize: '200%'}} />
                  </a>
                </div>{/* /.feature-item */}
              </div>{/* /.col-lg-3 */}
              {/* Feature item #4 */}
              <div className="col-sm-6 col-md-6 col-lg-3">
                <div className="feature-item">
                  <div className="feature__content">
                    <div className="feature__icon">
                      {/* <i class="icon-drugs"></i>
                  <i class="icon-drugs feature__overlay-icon"></i> */}
                      <img src="/images/img/Icons4.png" style={{width: '70px'}} />
                    </div>
                    <h4 className="feature__title">Leadership, Innovation,&amp;Ideation</h4>
                  </div>{/* /.feature__content */}
                  <a href="#" className="btn__link">
                    <i className="fa fa-arrow-circle-right" style={{fontSize: '200%'}} />
                  </a>
                </div>{/* /.feature-item */}
              </div>{/* /.col-lg-3 */}
            </div>{/* /.row */}
            <div className="row">
              <div className="col-md-12 col-lg-6 offset-lg-3 text-center">
                <p className="font-weight-bold mb-0">Join the only platform available for healthcare professionals to interact, innovate, and transform the healthcare industry.
                </p>
              </div>{/* /.col-lg-6 */}
            </div>{/* /.row */}
          </div>{/* /.container */}
        </section>{/* /.Features Layout 1 */}
        {/* ========================
        Services Layout 2
    =========================== */}
        <section id="blog" className="services-layout2 services-carousel bg-overlay bg-overlay-primary pt-130">
          {/* <div className="bg-img"><img src="/images/img/banners/1.jpg" alt="background" /></div> */}
          <div className="container">
            <div className="row">
              <div className="col-sm-12 col-md-12 col-lg-6">
                <div className="heading-layout1 heading-light mb-60">
                  <h3 className="heading__title">Together, share more, and learn more.</h3>
                  <p className="heading__desc">Get answers to all your queries and access a wide range of informative content to help you do more, better.</p>
                </div>{/* /.heading */}
              </div>{/* /.col-lg-6 */}
            </div>{/* /.row */}
            <div className="row">
              <div className="col-12">
                <div className="carousel-container">
                  <div style={{display:"flex",justifyContent:"space-between",columnGap:"10px"}}>
                    {/* service item #1 */}
                    <div className="service-item col-3">
                      <div className="service__img">
                        <img src="/images/img/1.jpg" alt="img" loading="lazy" />
                      </div>{/* /.service__img */}
                      <div className="service__content">
                        <h4 className="service__title">Community</h4>
                        <p className="service__desc" style={{"color" : "#848e9f"}}>An all-in-one knowledge platform for healthcare professionals to seek and share knowledge.
                        </p>
                      </div>{/* /.service__content */}
                    </div>{/* /.service-item */}
                    {/* service item #2 */}
                    <div className="service-item col-3">
                      <div className="service__img">
                        <img src="/images/img/2.jpg" alt="img" loading="lazy" />
                      </div>{/* /.service__img */}
                      <div className="service__content">
                        <h4 className="service__title">Gain Insights</h4>
                        <p className="service__desc" style={{"color" : "#848e9f"}}>Get reliable answers &amp; second opinions from various healthcare
                          professionals and engage in insightful discussions.
                        </p>
                      </div>{/* /.service__content */}
                    </div>{/* /.service-item */}
                    {/* service item #3 */}
                    <div className="service-item col-3">
                      <div className="service__img">
                        <img src="/images/img/3.jpg" alt="img" loading="lazy" />
                      </div>{/* /.service__img */}
                      <div className="service__content">
                        <h4 className="service__title">Consult an Expert</h4>
                        <p className="service__desc" style={{"color" : "#848e9f"}}>Fast consultation set up, as quick as within an hour (Chat, Voice, and Video consulting). 
                        </p>
                      </div>{/* /.service__content */}
                    </div>{/* /.service-item */}
                    {/* service item #4 */}
                    <div className="service-item col-3">
                      <div className="service__img">
                        <img src="/images/img/4.jpg" alt="img" loading="lazy" />
                      </div>{/* /.service__img */}
                      <div className="service__content">
                        <h4 className="service__title">Connect &amp; Collaborate</h4>
                        <p className="service__desc" style={{"color" : "#848e9f"}}>Grow your network with outstanding healthcare professionals and create your
                          own group of trusted experts.
                        </p>
                      </div>{/* /.service__content */}
                    </div>{/* /.service-item */}
                  </div>{/* /.carousel */}
                </div>{/* /.carousel-container */}
              </div>{/* /.col-12 */}
            </div>{/* /.row */}
          </div>{/* /.container */}
        </section>{/* /.Services Layout 1 */}
        {/* ======================
      Team
    ========================= */}
        {/* ========================= 
      Testimonials layout 1
      =========================  */}
        
        {/* ======================
      Blog Grid
    ========================= */}
        <section className="blog-grid pb-50">
          <div className="container">
            <div className="row">
              <div className="col-sm-12 col-md-12 col-lg-6 offset-lg-3">
                <div className="heading text-center mb-40">
                  <h2 className="heading__subtitle">Resource Library</h2>
                  <h3 className="heading__title">Recent Articles</h3>
                </div>{/* /.heading */}
              </div>{/* /.col-lg-6 */}
            </div>{/* /.row */}
            <div className="row">
              {/* Post Item #1 */}
              <div className="col-sm-12 col-md-6 col-lg-4">
                <div className="post-item">
                  <div className="post__img">
                    <a href="blog-single-post.html">
                      <img src="/images/img/Blog/1.jpg" alt="post image" loading="lazy" />
                    </a>
                  </div>{/* /.post__img */}
                  <div className="post__body">
                    <div className="post__meta-cat">
                      <a href="#">Mental Health</a>
                    </div>{/* /.blog-meta-cat */}
                    <div className="post__meta d-flex">
                      <span className="post__meta-date">Jan 30, 2022</span>
                      <a className="post__meta-author" href="#">Martin King</a>
                    </div>
                    <h4 className="post__title"><a href="#">6 Tips to Protect Your Mental Health When You’re Sick</a></h4>
                    <p className="post__desc" style={{"color" : "#848e9f"}}>It’s normal to feel anxiety, worry and grief any time you’re diagnosed with a
                      condition that’s certainly true if you test positive for COVID-19, or are presumed to be positive...
                    </p>
                    <a href="blog-single-post.html" className="btn btn__secondary btn__link rounded-pill">
                      <span style={{"fontWeight" : "bolder"}}>Read More</span>
                      <i className="fas fa-arrow-right" style={{color: 'white'}} />
                    </a>
                  </div>{/* /.post__body */}
                </div>{/* /.post-item */}
              </div>{/* /.col-lg-4 */}
              {/* Post Item #2 */}
              <div className="col-sm-12 col-md-6 col-lg-4">
                <div className="post-item">
                  <div className="post__img">
                    <a href="blog-single-post.html">
                      <img src="/images/img/Blog/2.jpg" alt="post image" loading="lazy" />
                    </a>
                  </div>{/* /.post__img */}
                  <div className="post__body">
                    <div className="post__meta-cat">
                      <a href="#">Infectious</a><a href="#">Tips</a>
                    </div>{/* /.blog-meta-cat */}
                    <div className="post__meta d-flex">
                      <span className="post__meta-date">Jan 30, 2022</span>
                      <a className="post__meta-author" href="#">John Ezak</a>
                    </div>
                    <h4 className="post__title"><a href="#">Unsure About Wearing a Face Mask? Here’s How and Why</a></h4>
                    <p className="post__desc" style={{"color" : "#848e9f"}}>That means that you should still be following any shelter-in-place orders in your
                      community. But when you’re venturing out to the grocery store, pharmacy or hospital..
                    </p>
                    <a href="blog-single-post.html" className="btn btn__secondary btn__link rounded-pill">
                      <span style={{"fontWeight" : "bolder"}}>Read More</span>
                      <i className="fas fa-arrow-right" style={{color: 'white'}} />
                    </a>
                  </div>{/* /.post__body */}
                </div>{/* /.post-item */}
              </div>{/* /.col-lg-4 */}
              {/* Post Item #3 */}
              <div className="col-sm-12 col-md-6 col-lg-4">
                <div className="post-item">
                  <div className="post__img">
                    <a href="blog-single-post.html">
                      <img src="/images/img/Blog/3.jpg" alt="post image" loading="lazy" />
                    </a>
                  </div>{/* /.post__img */}
                  <div className="post__body">
                    <div className="post__meta-cat">
                      <a href="#">Life Style</a><a href="#">Nutrition</a>
                    </div>{/* /.blog-meta-cat */}
                    <div className="post__meta d-flex">
                      <span className="post__meta-date">Jan 28, 2022</span>
                      <a className="post__meta-author" href="#">Saul Wade</a>
                    </div>
                    <h4 className="post__title"><a href="#">Tips for Eating Healthy When You’re Working From Home </a></h4>
                    <p className="post__desc" style={{"color" : "#848e9f"}}>It’s normal to feel anxiety, worry and grief any time you’re diagnosed with a
                      condition that’s certainly true if you test positive for COVID-19, or are presumed to be positive...
                    </p>
                    <a href="blog-single-post.html" className="btn btn__secondary btn__link rounded-pill">
                      <span style={{"fontWeight" : "bolder"}}>Read More</span>
                      <i className="fas fa-arrow-right" style={{color: 'white'}} />
                    </a>
                  </div>{/* /.post__body */}
                </div>{/* /.post-item */}
              </div>{/* /.col-lg-4 */}
            </div>{/* /.row */}
          </div>{/* /.container */}
        </section>{/* /.blog Grid */}
        {/* ==========================
        contact layout 5
    =========================== */}
        <section id="contact" className="contact-layout5 bg-overlay bg-overlay-blue-gradient pb-60">
          {/* <div className="bg-img"><img src="/images/img/banners/3.jpg" alt="banner" /></div> */}
          <div className="container">
            <div className="row">
              <div className="col-sm-12 col-md-12 col-lg-5 d-flex flex-column justify-content-between ticklist">
                <div>
                  <div className="heading heading-light mb-30">
                    <h3 className="landingformtitle mb-30">Committed to building a positive and safe organizational culture by normalizing asking for help &amp; democratizing access to knowledge.</h3>
                    <p className="heading__desc">Sign up now to learn and discuss the healthcare management concerns with the
                      industry's top experts.
                    </p>
                  </div>
                  <div className="d-flex align-items-center">
                    <a  onClick={toggleLoginfunreg} className="btn btn-transparent-landing btn__white btn__outlined rounded-pill mr-30">
                      <span>Sign Up</span> <i className="fas fa-arrow-right" style={{color: 'white'}} />
                    </a>
                    <a onClick={toggleLoginfun} className="btn btn-transparent-landing btn__white btn__outlined rounded-pill">Login</a>
                  </div>
                </div>
                <ul className="mt-5 list-items list-items-layout2 list-items-light list-horizontal list-unstyled mb-50 ">
                  <li>Get your Doubts Cleared</li>
                  <li>Connect with Top Experts</li>
                  <li>Learn, Share, and Gain Insights</li>
                </ul>
              </div>
              <div className="col-sm-12 col-md-12 col-lg-7 backgroundwhite centerdiv borederradiusset align-items-center">
                {/* <div className="contact-panel mb-50">
                  <form className="contact-panel__form" method="post" action="assets/php/contact.php" id="contactForm">
                    <div className="row">
                      <div className="col-sm-12">
                        <h4 className="contact-panel__title">Register Now!</h4>
                        <p className="contact-panel__desc mb-30">Please feel welcome to contact our friendly reception staff
                          with any general or medical enquiry. Our doctors will receive or return any urgent calls.
                        </p>
                      </div>
                      <div className="col-sm-6 col-md-6 col-lg-6">
                        <div className="form-group">
                          <input type="text" className="form-control" placeholder="Your Full Name" id="contact-name" name="contact-name" required />
                        </div>
                      </div>
                      <div className="col-sm-6 col-md-6 col-lg-6">
                        <div className="form-group">
                          <select className="form-control">
                            <option value={0}>Your Profession</option>
                            <option value={1}>Healthcare Practitioners</option>
                            <option value={2}>Technical Occupations</option>
                            <option value={3}>Healthcare Support Occupations</option>
                            <option value={4}>Business Management</option>
                            <option value={5}>Executive Management</option>
                            <option value={6}>Financial Occupations</option>
                            <option value={7}>General and Operations Manager</option>
                            <option value={8}>Marketing </option>
                            <option value={9}>Public Relations</option>
                            <option value={10}>Operations Specialties Manager </option>
                            <option value={11}>Construction Manager</option>
                            <option value={12}>Engineering Manager</option>
                            <option value={13}>Financial Specialist</option>
                            <option value={14}>Business Owner</option>
                            <option value={15}>Other Business</option>
                            <option value={16}>Architecture Occupations</option>
                            <option value={17}>Pathology Clinic</option>
                            <option value={18}>Engineering Occupations</option>
                            <option value={19}>Education and Training professional</option>
                            <option value={20}>Media Occupations</option>
                            <option value={21}>Computer Specialist</option>
                            <option value={22}>Counselor</option>
                            <option value={23}>Social Worker</option>
                            <option value={24}>Social Service Specialist</option>
                            <option value={25}>Lawyer/Judge (law and order)</option>
                            <option value={26}>Scientist</option>
                            <option value={27}>Physical Scientist </option>
                            <option value={28}>Religious Worker</option>
                            <option value={29}>Office and Administrative Support Occupations</option>
                            <option value={30}>Protective Service </option>
                            <option value={31}>Chef or Head Cook</option>
                            <option value={32}>Cleaning and Maintenance</option>
                            <option value={33}>Personal Care and Service</option>
                            <option value={34}>Sales Supervisor</option>
                            <option value={35}>Agriculture Maintenance</option>
                            <option value={36}>Aircraft Pilot or Flight Engineer</option>
                            <option value={37}>Motor Vehicle Operator</option>
                            <option value={38}>Military</option>
                            <option value={39}>Homemaker</option>
                            <option value={40}>Other Occupation</option>
                            <option value={41}>Don't Know</option>
                            <option value={42}>Not Applicables</option>
                          </select>
                        </div>
                      </div>
                      <div className="col-sm-6 col-md-6 col-lg-6">
                        <div className="form-group">
                          <input type="email" className="form-control" placeholder="Email Id" id="contact-email" name="contact-email" required />
                        </div>
                      </div>
                      <div className="col-sm-6 col-md-6 col-lg-6">
                        <div className="form-group">
                          <input type="text" className="form-control" placeholder="Phone Number" id="contact-Phone" name="fa fa-phone" required />
                        </div>
                      </div>
                      <div className="col-12">
                        <button type="submit" className="btn loginButtonColors rounded-pill btn__block btn__xhight mt-10">
                          <span>Register </span> <i className="fas fa-arrow-right" style={{color: 'white'}} />
                        </button>
                        <div className="contact-result" />
                      </div>
                    </div>
                  </form>
                </div> */}
                  {loginbutton}
              
              </div>
              {/* /.col-lg-7 */}
            </div>{/* /.row */}
          </div>{/* /.container */}
        </section>{/* /.contact layout 5 */}
        {/* ========================
        About Layout 5
      =========================== */}
        <section className="about-layout5">
          <div className="container">
            <div className="row">
              <div className="col-sm-12 col-md-12 col-lg-5">
                <div className="heading-layout2">
                  <h3 className="heading__title mb-80">Ready to experience BoardRoom’s Healthcare Community?</h3>
                </div>{/* /heading */}
                <div className="map-wrapper mb-50">
                  <img src="images/img/community.png"></img>
                </div>
              </div>{/* /.col-lg-6 */}
              <div className="col-sm-12 col-md-12 col-lg-6 offset-lg-1 ticklist">
                <p className="heading__desc color-secondary font-weight-bold mb-30">A community-based knowledge platform to
                  share and seek information on the go.</p>
                <p className="heading__desc mb-30">A platform which brings together standalone services under one roof to help transform the way knowledge seeking and sharing is performed.</p>
                <div className="d-flex align-items-center mb-60">
                  <a onClick={toggleLoginfunreg} href="#contact" className="btn loginButtonColors rounded-pill mr-30">
                    <i className="fas fa-heart" /> <span>Join our community </span>
                  </a>
                  <a onClick={toggleLoginfun} href="#contact" className="btn btn__secondary btn__outlined rounded-pill mr-30">
                    <span >Access your profile</span>
                  </a>
                </div>
                <ul className="list-items list-items-layout3 list-unstyled">
                  <li>Stay informed on the latest hospital management happenings directly from professionals across various
                    specialties.</li>
                  <li>Find answers, advice, job offers, courses, and events in an all-in-one platform. </li>
                  <li>Schedule an appointment with a healthcare expert to get your questions answered and your doubts
                    cleared.</li>
                </ul>
              </div>{/* /.col-lg-6 */}
            </div>{/* /.row */}
          </div>{/* /.container */}
        </section>{/* /.About Layout 5 */}
        {/* ========================
      Footer
    ========================== */}
        <footer id="footer1" className="footer">
          <div className="footer-primary">
            <div className="container">
              <div className="row footercenter">
                <div className="col-sm-12 col-md-12 col-lg-3">
                  <div className="footer-widget-about">
                    <img src="/images/logo/9.png" alt="logo" className="mb-30" />
                    <p className="color-gray">With our exclusive platform for healthcare professionals, you can connect with peers, gain insights, innovate, and have honest conversations with those who truly understand.  
                    </p>
                  </div>{/* /.footer-widget__content */}
                </div>{/* /.col-xl-2 */}
                <div className="col-sm-6 col-md-6 col-lg-2">
                  <div className="footer-widget-nav">
                    <h6 className="footer-widget__title">Links</h6>
                    <nav>
                      <ul className="list-unstyled">
                        <li><a href="#">Home</a></li>
                        <li><a href="/community">Community</a></li>
                        <li><a href="#">News</a></li>
                        <li><a href="#">Experts</a></li>
                      </ul>
                    </nav>
                  </div>{/* /.footer-widget__content */}
                </div>{/* /.col-lg-2 */}
                <div className="col-sm-12 col-md-6 col-lg-4">
                  <div className="footer-widget-contact">
                    <ul className="contact-list list-unstyled">
                      <li>
                        <a href="tel:01061245741" className="phone__number">
                          <i className="fa fa-phone" /> <span>Let's connect with us</span>
                        </a>
                      </li>
                      <li className="color-body">theboardroomapp@gmail.com</li>
                    </ul>
                    
                  </div>{/* /.footer-widget__content */}
                </div>{/* /.col-lg-2 */}
              </div>{/* /.row */}
            </div>{/* /.container */}
          </div>{/* /.footer-primary */}
          <div className="footer-secondary">
            <div className="container">
              <div className="row align-items-center">
                <div className="col-sm-12 col-md-6 col-lg-6">
                  <span className="fz-14">© 202\2 DataSoft, All Rights Reserved.</span>
                  <a className="fz-14 color-primary" href="http://themeforest.net/user/7oroof">Board Room</a>
                </div>{/* /.col-lg-6 */}
                <div className="col-sm-12 col-md-6 col-lg-6">
                  <nav>
                    <ul className="list-unstyled footer__copyright-links d-flex flex-wrap justify-content-end mb-0">
                      <li><a href="#">Terms &amp; Conditions</a></li>
                      <li><a href="#">Privacy Policy</a></li>
                      <li><a href="#">Cookies</a></li>
                    </ul>
                  </nav>
                </div>{/* /.col-lg-6 */}
              </div>{/* /.row */}
            </div>{/* /.container */}
          </div>{/* /.footer-secondary */}
        </footer>{/* /.Footer */}
        <div className="search-popup">
          <button type="button" className="search-popup__close"><i className="fas fa-times" /></button>
          <form className="search-popup__form">
            <input type="text" className="search-popup__form__input" placeholder="Type Words Then Enter" />
            <button className="search-popup__btn"><i className="icon-search" /></button>
          </form>
        </div>{/* /. search-popup */}
        <button id="scrollTopBtn"><i className="fas fa-long-arrow-alt-up" /></button>
      </div>
    </Fragment>
  );
};

LayoutOne.propTypes = {
  children: PropTypes.any,
  theme: PropTypes.string
};

export default LayoutOne;
