import React, { Fragment, useEffect, useState } from "react";
import MetaTags from "react-meta-tags";
import { Link,useParams } from "react-router-dom";
import LayoutTwo from "../layouts/LayoutTwo";
import Breadcrumb from "../components/breadcrumbs/Breadcrumb";
import axios from "axios";

const VerifyUser = () => {
    let {token} = useParams();
    const [findToggle, setFindToggle] = useState(false);

    const getVerifyUser = async() => {
        try{
            var res = await axios.get(`${process.env.REACT_APP_BACKEND_URL}/api/auth/active/`+ token);
            console.log("REsult---->>>>>",res)
            if(res.data.message === "E-Mail found"){
                setFindToggle(true);
            }
            else {
                setFindToggle(false);
            }
        }catch (err) {
            console.log("Error in verifying User..",err);
        }        
    }
    useEffect(() => {
        getVerifyUser();
    }, []);

  return (
    <Fragment>
      <MetaTags>
        <title>Board Room </title>
        <meta
          name="description"
          content="Verification page of Board Room"
        />
      </MetaTags>
      <LayoutTwo theme="white">
        {/* breadcrumb */}
        {findToggle ? 
        <Breadcrumb title="User Verification Successful" /> :
        <Breadcrumb title="Please wait few seconds to complete verification." /> }
        {/* not found page content */}
        <div className="errorPageWrapper d-flex align-items-center">
          <div className="container">
            <div className="row">
              <div className="col-lg-6 col-md-9 m-auto text-center">
                <div className="errorContentCentered d-flex align-items-center justfy-content-center">
                  <div className="errorPageContentWrap">
                    <h3>Verification Process</h3>
                    {/* <h3>PAGE NOT FOUND</h3> */}
                    <p>
                      Please wait for some time to complete the verification process in our side.
                    </p>
                    <Link to={process.env.PUBLIC_URL + "/"}>
                      Back to landing page.
                    </Link>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </LayoutTwo>
    </Fragment>
  );
};

export default VerifyUser;
